<?php

require_once('initialize.php');
require_once('lib/GFConf.php');

// Check locks
$lock_file = '/tmp/gforge_cron15.lock';
$fp = fopen($lock_file, "w+");
if (!$fp) {
	return;
}

if (!flock($fp, LOCK_EX | LOCK_NB)) {
	// Couldn't acquire exclusive lock, means another process is running
	return;
}

$base_str = 'cd /opt/gforge && /usr/bin/php -d include_path=".:/opt/gforge:/opt/gforge/lib:/opt/gforge/plugins:/opt/gforge/lib/external" /opt/gforge/bin/gforge cronjob  /opt/gforge';

#Project Hosting Cronjob
#`$base_str/plugins/scm/cronjobs/scm_checkout_www.php`;
`$base_str/cronjobs/filesystem_index.php`;
`$base_str/plugins/tracker/cronjobs/trackeritem_nag_email.php`;
if(!GFConf::get('system.useDaemon')){
	#`$base_str/plugins/scmcvs/cronjobs/create_users_groups.php`;
	`$base_str/plugins/scmcvs/cronjobs/create_cvs.php`;
	`$base_str/plugins/mailman/cronjobs/create_lists.php`;
	`$base_str/plugins/scmsvn/cronjobs/create_svn.php`;
	#`$base_str/plugins/scmsvn/cronjobs/create_dav_svn_auth.php`;
	`$base_str/plugins/scmgit/cronjobs/create_git.php`;
	`$base_str/plugins/scm/cronjobs/ssh_create.php`;
	# HTTP access for git
	#`$base_str/plugins/scmgit/cronjobs/create_dav_git_auth.php`;
	#
}
`$base_str/cronjobs/mail_aliases.php`;
`$base_str/cronjobs/check-daemon.php > /dev/null 2>&1 &`;
#FTP Cronjob
#`$base_str/cronjobs/ftp_create_directories.php`;

flock($fp, LOCK_UN);
fclose($fp);

?>