CREATE TABLE docman_file_folder (
    docman_file_folder_id serial NOT NULL,
    docman_file_id integer NOT NULL,
    docman_folder_id integer NOT NULL
);



CREATE INDEX docmanfilefolder_docmanfolderid ON docman_file_folder USING btree (docman_folder_id);
CREATE INDEX docmanfilefolder_docmanfileid ON docman_file_folder USING btree (docman_file_id);

ALTER TABLE ONLY docman_file_folder
    ADD CONSTRAINT docman_file_folder_pkey PRIMARY KEY (docman_file_folder_id);

ALTER TABLE ONLY docman_file_folder
    ADD CONSTRAINT docmanfolderid_fk FOREIGN KEY (docman_folder_id) REFERENCES docman_folder(docman_folder_id) ON DELETE CASCADE;

ALTER TABLE ONLY docman_file_folder
    ADD CONSTRAINT docmanfileid_fk FOREIGN KEY (docman_file_id) REFERENCES docman_file(docman_file_id) ON DELETE CASCADE;
