<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id$
 * @author Tim Perdue tim@gforge.org
 * @date 2006-02-27
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */


class InvalidDataException extends Exception {
	private $_errors = array();

	public function __construct($errors) {
		$this->_errors = $errors;
		
		// build the error string
		$msg = '';
		foreach ($errors as $error) {
			$msg .= '* '.$error."\n";
		}
		parent::__construct($msg);
	}
	
	public function getErrors() {
		return $this->_errors;
	}
}

?>