<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id$
 * @author Ruben Gutierrez	ruben@gforgegroup.com
 * @date 2006-03-16
 *
 * CruiseControl SOAP Interface for GForge5.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */


require_once('lib/external/nusoap.php');

if (isset($_GET['wsdl'])) {
	$wsdl = $_GET['wsdl'];
} else {
	$wsdl = null;
}

$session = Session::getSession();
$Project = GFUrl::getUrl()->getProject();

$http = GFUrl::getUrlPrefix();
$host = GFConf::get('system.hostName');

// Comment out, only for testing
$uri = $http.$host;
$endpoint = $http.$host.'/gf/build/?action=soap';

$server = new soap_server();
$server->configureWSDL('GForgeAPI', 'http://gforgegroup.com', $endpoint, 'rpc', 'http://schemas.xmlsoap.org/soap/http', 'http://gforgegroup.com');

require_once('plugins/build/lib/soap/CruiseControl.php');

if ($wsdl) {
	$wsdl_data = $server->wsdl->serialize();
	echo $wsdl_data;
	return;
}
//$server->debug_flag=true;
$GLOBALS['HTTP_RAW_POST_DATA'] = isset($GLOBALS['HTTP_RAW_POST_DATA']) ? $GLOBALS['HTTP_RAW_POST_DATA'] : '';
$server->service($GLOBALS['HTTP_RAW_POST_DATA']);
?>
