<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
require_once('plugins/docman/lib/DocmanFolder.php');
require_once('plugins/docman/lib/DocmanFolderPeer.php');
require_once('exceptions/PermissionDeniedException.php');
require_once('core/Language.php');
require_once('Validator.php');

$session = Session::getSession();
$Lang = Language::getSessLang();
$status = '';

if (!$session->isLoggedIn()) {
	header('HTTP/1.1 401');
	exit;
}
 
if (isset($_POST['file_id'])) {
	$DocmanFile = DocmanFilePeer::retrieveByPk($_POST['file_id']);
	if (is_object($DocmanFile)) {
		$DocmanFile->setIsLocked(false);
		$DocmanFile->setLockedBy(100);
		$DocmanFile->save();
		$status = '200';
	} else {
		$status = '401';

	}
} else {
	$status = '201';

}

header('HTTP/1.1 ' . $status);
?>