<div id="folder-delete-dialog-template" style="display: none;">
	<p>
		<h4><?php echo '[#[%= folder_id %]] '; ?> [%= folder_name %]</h4>
	</p>
	<form id="form-folder-delete" action="<?php echo GFUrl::getFullURL(GFUrl::getUrl()->currentBaseURL('DocmanFolderDeleteAction')) ?>" method="POST">
		<input type="hidden" name="id" value="[%= folder_id %]" />
		<table border="0" style="border: 0px;">
		<tr>
			<td><br><?php echo $Lang->getText('DocmanFolderDeleteForm.Confirm'); ?>:
			<input type="checkbox" name="sure" id="folder_delete_sure[%= '_rendered' %]" value="1">
			</td>
		</tr>
		</table>
	</form>
</div>

<div id="folder-delete-dialog-template-confirm" title="Folder delete confirmation" style="display: none;">
	<br>
	<p>
		[% if (status == true) { %]
		<strong>[%= folder_name %]</strong> has been deleted succesfully
		[% } else { %]
		<strong>[%= folder_name %] could not be deleted</strong>
		[% } %]
	</p>
</div>


<div id="folder-create-dialog-template" style="display: none;">
	<form id="form-folder-create-[%= 'rendered' %]" action="" method="POST">
		<input type="hidden" name="parent_folder_id" value="[%= parent_folder_id %]" />
		<table border="0" style="border: 0px;">
		<tr>
			<td><strong>Folder Name</strong>
			<input type="text" name="folder_name" value="">
			</td>
		</tr>
		<tr>
			<td><br/><strong>Is Folder Public?</strong>
			<input type="checkbox" name="is_public" />
			</td>
		</tr>		
		</table>
	</form>
</div>


<div id="folder-create-dialog-template-confirm" title="Folder create confirmation" style="display: none;">
	[% if (error_message != '') { %]
	<span class="feedback">[%= error_message %]</span><br>
	[% } %]
	<br>
	[% if (status) { %]
	Folder <strong>[%= folder_name %]</strong> has been created
	[% } else { %]
	The folder has not been created
	[% } %]
</div>

<div id="folder-edit-dialog-template" style="display: none;">
	<form id="form-folder-edit-[%= 'rendered' %]" action="" method="POST">
		<input type="hidden" name="folder_id" value="[%= folder_id %]" />
		<table border="0" style="border: 0px;">
		<tr>
			<td><strong>Folder Name</strong>
			<input type="text" name="folder_name" value="[%= folder_name %]">
			</td>
		</tr>
		<tr>
			<td><br><strong>Is Folder Public?</strong>
			<strong>[%= is_public %]</strong>
			</td>
		</tr>
		</table>
	</form>
</div>



<!-- START FOLDER EDIT CONFIRM DIALOG -->
<div id="folder-edit-dialog-template-confirm" style="display: none;" >
	<p>
		<strong>[%= folder_name %]</strong> has [% if (status != true) { %][%= 'not' %][% } %] been renamed
	</p>
</div>
<!-- END FOLDER EDIT CONFIRM DIALOG -->


<div id="folder-move-dialog-template" style="display: none;">
	<p>
		[% if (make_sibling == true) { %]
		Do you want to move folder <strong>[%= folder_name %]</strong> to the parent folder?
		[% } else { %]
		Do you want to move folder <strong>[%= folder_name %]</strong> to folder <strong>[%= parent_folder_name %]</strong>?
		[% } %]
	</p>
</div>

<!-- START FOLDER EDIT CONFIRM DIALOG -->
<div id="folder-move-dialog-template-confirm" style="display: none;" >
	<p>
		[% if (make_sibling == true) { %]
			<strong>[%= folder_name %]</strong> has [% if (!status) { %][%= 'not' %][% } %] been moved to its parent folder
		[% } else { %]
			<strong>[%= folder_name %]</strong> has [% if (!status) { %][%= 'not' %][% } %] been moved to folder [%= parent_folder_name %]
		[% } %]
	</p>
</div>
<!-- END FOLDER EDIT CONFIRM DIALOG -->

<!-- START PERMISSION DENIED MESSAGE -->
<div id="folder-permission-dialog-template" style="display: none;" >
	<p>
		<strong>You don't have [%= perm_description %] permissions on this folder.</strong>
	</p>
</div>
<!-- END PERMISSION DENIED MESSAGE -->

<!-- START FOLDER ACCESS ERROR MESSAGE -->
<div id="folder-access-error-dialog-template" style="display: none;" >
	<p>
		<strong>There has been an error accessing folder: [%= folder_name %].</strong>
	</p>
</div>
<!-- END FOLDER ACCESS ERROR MESSAGE -->

<!-- DOCMAN HOME PERMISSION DENIED MESSAGE -->
<div id="docman-home-permission-dialog-template" style="display: none;" >
	<p>
		<strong>You do not have access to <?php echo $project->getProjectName(); ?> documents.</strong>
	</p>
</div>
<!-- DOCMAN HOME PERMISSION DENIED MESSAGE -->

<!-- START FOLDER MONITOR CONFIRM DIALOG -->
<div id="folder-monitor-dialog-template-confirm" style="display: none;" >
	[% if (status) { %]
	<p>
		<strong>[%= folder_name %]</strong> is now [% if (!monitored) { %][%= 'not' %][% } %] monitored
	</p>
	[% } else { %]
	<p>
		Failed changing monitoring status for file: <strong>[%= folder_name %]</strong>
	</p>	
	[% } %]
</div>
<!-- END FOLDER MONITOR CONFIRM DIALOG -->
