<script type="text/javascript">
	
	var docman = namespace('GForge.Plugins.Docman');
	
	function tsorterExtractor(s){
		var el = $(s);
		var str_text = $(el).attr('data-sorter');
		//console.log(str_text);
		return str_text;
	}  

	
	docman.activateTablesorter = function() {
		$("#docman_table").tablesorter({ headers: { 0: { sorter: false} }, debug: false, textExtraction : tsorterExtractor });
	};


	docman.activateTreeRows = function() {
		<?php if ($can_drag_drop) { ?>
    $("#docman_folder_table .child_folder").draggable({
      helper: "clone",
      opacity: .75,
      refreshPositions: true,
      revert: "invalid",
      revertDuration: 300,
      scroll: true
    });

    $("#docman_table .folder").draggable({
      helper: "clone",
      opacity: .75,
      refreshPositions: true,
      revert: "invalid",
      revertDuration: 300,
      scroll: true
    });


    $("#docman_table .file_row").draggable({
      helper: "clone",
      opacity: .75,
      refreshPositions: true,
      revert: "invalid",
      revertDuration: 300,
      scroll: true
    });
       
	<?php } ?>
    
    $("#docman_table .folder").each(function() {
      $($(this)).droppable({
        accept: ".folder, .file_row",
        drop: function(e, ui) { 
        	var dropped_id = $(ui.draggable)[0].id;

					var folder_type = $('#' + this.id).attr("ftype");

        	if (dropped_id.indexOf("node-file") != -1) {
        		
        		var str_file = $(ui.draggable)[0].id;
        		var file_id = docman.getFileId(str_file);
						var parent_folder_id = docman.getFolderId(this.id);
						
						var operation_type = '';
						if (parent_folder_id == docman_data.current.folder_id) {
							operation_type = 'moveup';
						} else {
							operation_type = 'folder';
						}

						docmanFile.moveFile(parent_folder_id, file_id, operation_type);
					} else {	
						if ((this.id).indexOf('node-folder-up') >= 0) {
							folder_type = 'moveup';
						} else {
							folder_type = 'folder';
						}

        		if (folder_type == 'moveup') {
							docmanFolder.makeSibling(this.id, ui, true);
						} else {
							docmanFolder.moveFolder(this.id, ui, true);
						}
					}
          	
        },
        hoverClass: "accept",
        over: function(e, ui) {
          //if(this.id != $(ui.draggable.parents("tr.parent")[0]).id && !$(this).is(".expanded")) {
          if(this.id != $(ui.draggable[0]).id && !$(this).is(".expanded")) {
            $(this).expand();
          }
        }
      });
    });

  
    $("#docman_folder_table .folder").each(function() {
      $($(this).parents("tr")[0]).droppable({
        accept: ".folder",
        drop: function(e, ui) { 
        	var dropped_id = $(ui.draggable).parents("tr")[0].id;
						docmanFolder.moveFolder(this.id, ui, false);
          	
        },
        hoverClass: "accept",
        over: function(e, ui) {
          if(this.id != $(ui.draggable.parents("tr.parent")[0]).id && !$(this).is(".expanded")) {
            $(this).expand();
          }
        }
      });
    });
    
	
		var draggablefiles = document.getElementsByName("draggablefile");
		var fileDetails = '';
		
		for (var i=0; i < draggablefiles.length; i++) {
			if(typeof draggablefiles[i].dataset === "undefined") {
				fileDetails = draggablefiles[i].getAttribute("data-downloadurl");
			} else {
				fileDetails = draggablefiles[i].dataset.downloadurl;
			}
		
			eval('draggablefiles[i].addEventListener("dragstart",function(evt){ evt.dataTransfer.setData("DownloadURL", "' + fileDetails + '"); },false)'); 
		
		}
		

	};
	
	
	
	docman.confirmMove = function(objeto, ui) {
		$( "#dialog-confirm" ).dialog({
			resizable: false,
			height:140,
			modal: true,
			buttons: {
				"Delete all items": function() {
									$($(ui.draggable).parents("tr")[0]).appendBranchTo(objeto);
									$.post("move.php", {id: $(ui.draggable).parents("tr")[0].id, to: objeto.id});
					$( this ).dialog( "close" );
				},
				Cancel: function() {
					$( this ).dialog( "close" );
				}
			}
		});
	};


	docman.fadeDialog = function fadeDialog(div_dialog) {	
		$("#" + div_dialog).dialog("close");
	};
	

  docman.statusConfirm = function(div, params, options) {
  	
  	var redirect = '';
  	if (options.redirect != undefined && options.redirect != '') {
  		redirect = options.redirect;
  	}
  	
  	var prevent_auto_fade = false; 	
  	if (options.prevent_auto_fade != undefined && options.prevent_auto_fade != '') {
  		prevent_auto_fade = options.prevent_auto_fade;
  	}

		var width = 400;
  	if (options.width != undefined && options.width != '') {
  		width = options.width;
  	}

		var height = 400;
  	if (options.height != undefined && options.height != '') {
  		height = options.height;
  	}
 	
 		var position_top = 'center';
 		if (options.position_top) {
 			position_top = options.position_top;
 		}
 	
 		var position_left = 'center';
 		if (options.position_left) {
 			position_left = options.position_left;
 		}
  	
  	var div_dialog = 'docman-modal-dialog';
  	if (options.div_dialog != undefined && options.div_dialog != '') {
  		div_dialog = options.div_dialog;
  	}
  	
  	var tmpl = new EJS({element: div}); 
  	$('#' + div_dialog).html(tmpl.render(params));

  	
		$( "#" + div_dialog).dialog({
				resizable: false,
				width: width,
				height:'auto',
				title: params.title,
				position: [position_top, position_left],
				modal: true,
				buttons: {
					"Close": function() {
						if (redirect != '') {
							window.location = redirect;
						}
						$(this).dialog("close");
					}
				}
		});
				
		if (!prevent_auto_fade) {
  		setTimeout("docman.fadeDialog('" + div_dialog + "')", 1500);
  	}

  };
  
  
  
    docman.setContextMenu = function(str_id, menu_type, items) {
    	var aux_id = str_id.split('_');
    	var id = aux_id[0];

  		menu_type = $.trim(menu_type);
  		var items = {};
  		
  		if (menu_type == '.menu_file') {
  			if (docmanFile.getIsApproved(id)) { 
	 				eval('items.whosmonitoring = {name: "Who\'s monitoring", icon: "copy"}');
	 				eval('items.sep1 = "---------"');
	 				eval('items.viewdetails = {name: "View/Edit Details", icon: "copy"}');
	 				if (docmanFile.userCanWrite(id)) {
	 					if (docmanFile.getFileType(id) == "text/html") {
							eval('items.editfileinline = {name: "Edit File Inline", icon: "edit"}');
						}
						eval('items.uploadversion = {name: "Upload Version", icon: "copy"}');
						eval('items.deletefile = {name: "Delete File", icon: "delete"}');
						eval('items.organizefile = {name: "Organize File", icon: "copy"}');
						eval('items.renamefile = {name: "Rename File", icon: "copy"}');
					}
					eval('items.sep2 = "---------"');
					eval('items.viewfiledownloads = {name: "View file downloads", icon: "copy"}');
		      eval('items.downloadfile = {name: "Download File", icon: "copy"}');
		      eval('items.sep2 = "---------"');
		      eval('items.quit = {name: "Quit", icon: "quit"}');
		    } else {
	 				eval('items.approvefile = {name: "Approve", icon: "copy"}');
	 				eval('items.rejectfile = {name: "Delete", icon: "copy"}');
		      eval('items.sep2 = "---------"');
		      eval('items.quit = {name: "Quit", icon: "quit"}');
		    }
		} else 	if (menu_type == '.menu_folder_panel') {
			id = docman.getFolderId(id);
			if (docmanFolder.userCanWrite(id)) {
				eval('items.createfolder = {name: "Create New Folder", icon: "copy"}');
				eval('items.addfileinline = {name: "Add New File Inline", icon: "copy"}');
			}

			if (docmanFolder.userCanUpdate(id)) {
				eval('items.deletefolder = {name: "Delete Folder", icon: "delete"}');
				eval('items.editfolder = {name: "Edit Folder", icon: "copy"}');
			}
			eval('items.sep2 = "---------"');
			eval('items.quit = {name: "Quit", icon: "quit"}');
	    } else 	if (menu_type == '.menu_folder_root_panel') {
		    id = docman.getFolderId(id);
		    if (docmanFolder.userCanWrite(id)) {
			    eval('items.createfolder = {name: "Create New Folder", icon: "copy"}');
			    eval('items.addfileinline = {name: "Add New File Inline", icon: "copy"}');
		    }
		    eval('items.sep2 = "---------"');
		    eval('items.quit = {name: "Quit", icon: "quit"}');
	    }
  			
  		if (menu_type == 'folder_queue') {
  		}
  		
  		return items;
  	};
  	

	docman.openOrganizeFolders = function() {
			if (!docman_wide_perms) {
				var params_dialog = {title: "Docman Permission", perm_description : 'write'};
   			docman.statusConfirm('folder-permission-dialog-template', params_dialog, {prevent_auto_fade : true});
	 			return;
	 		}

			var height = .8*($(window).height());

      $("#organize_folders").dialog({
					autoOpen: true,
					closeOnEscape: true,
					modal: true,
					position: ['center', 'center'],
					title: 'Organize Folders',
					width: 690,
					height: height,
					buttons: {
						Close: function() {
					$( this ).dialog( "close" );
				}
			}
		});
		
    $(window).resize(function() {
        $("#organize_folders").dialog("option", "position", ['center', 'center']);
    });

  };
  


	function addFilesToFolder(pfolder, pfolderName) {
		var folder_id = pfolder.replace('folder-', '');
		$("#upload_folder_id").attr("value", folder_id);
		showUpload();
	}

	docman.setWidgetParameter = function() {
		FileUploadWidgetSetParameter('folder_id', docman_data.current.folder_id);
	};


	docman.removeNoFilesMessage = function() {
		try {
			$('#no_files_row').remove();
		} catch(err) {}
	};

	docman.uploadDialog = null;
  
  function showUpload(file_id, file_name) {
		if (!user_is_logged_in) {
			docmanFolder.showPermissionDenied(0, 'w');
			return;
		}

	    if (!docman_data.unprivileged_upload) {
			if (!(docmanFolder.checkPermission(docman_data.current.folder_id, 'w'))) {
				return;
			}
	    }

		var str_title = "File upload";
		var str_subtitle = "File upload";
		if (file_name !== undefined && file_name != "") {
			str_title = "Upload new document version";
			str_subtitle = "You are uploading a new document version for document: " + file_name;
		}

		if (show_file_id > 0) {
			file_id = show_file_id;
	        FileUploadWidgetSetParameter('file_id', show_file_id);
		}

    // Note: the fileupload_wrapper <div> is declared on lib/html/Layout.php
		docman.uploadDialog = $("#fileupload_wrapper").dialog({
			resizable: false,
			height:360,
			width: 530,
			title: str_title,
			modal: false,
			buttons: {
				"Open file editor": function() {
					$( this ).dialog( "close" );
					docmanFile.addFileInline();
				},
				close: function() {
					$( this ).dialog( "close" );
				}
			},
			beforeClose: function( event, ui ) {
				docman.uploadDialog = null;
				$('.template-upload').remove();
				$('.template-download').remove();
				if (docmanFile.viewDetailsDialog == null) {
					//This ensure that if the user opened the upload dialog from the "upload new version" and then he closed it
					//without uploading anything, we reset the new version status
					docmanFile.addFileVersion = false;
					FileUploadWidgetSetParameter('file_id', 0);
				}
			}
		});
	}
	
	
	
	function doSearch() {

 		if (incoming_folder_perms == 'n') {
 			return;
 		}

		//Disables temporarily drag and drop
		$('#fileupload').fileupload({dropZone : null});

		docman_mode = 'search';
		
		var words = $('#words').attr('value');
		var search_contents_only = $('#search_contents_only').attr('checked');
		if (search_contents_only == 'checked') {
			search_contents_only = true;
		} else {
			search_contents_only = false;
		}

		docmanFolder.loadSearchResult(words, search_contents_only);

	}
  
  
  docman.getMaxHeight = function() {
  	return $(window).height() - ($(window).height() * .10);
  };
  
  
  docman.getFileId = function(str_filedata) {
  	if (docman_mode = 'navigate') {
  		//Format: node-filexxx
  		return str_filedata.replace('node-file', '');
  	} else {
  		//Format: node-filexxx_folderyyy
  		var var_aux = str_filedata.split('_');
  		return var_aux[0].replace('node-file', '');
  	}
  };


  docman.getFolderIdFromFile = function(str_filedata) {
 		//Format: node-filexxx_folderyyy
 		var var_aux = str_filedata.split('_');
 		return var_aux[1];
  };


	var element_types = {
		'foldermonitoring' : 'imgfoldermonitoring-',
		'monitoring' : 'imgmonitoring-',
		'lock' : 'imglock-',
		'lock_label' : 'locked_by_label_',
		'file' : 'node-file'
	};


  docman.getFilename = function(file_id) {
  	var instances = $('[name="' + element_types[element_type] + file_id + '"]');
  	if (instances.length > 0) {
  		var element_id = $(instances[0]).attr('id');
  		return $('#' + element_id).attr('fname');
  	} else {
  		return '';
  	}
		
  };


  docman.getFileAttr = function(file_id, element_type, attr_name) {
  	var instances = $('[name="' + element_types[element_type] + file_id + '"]');
  	if (instances.length > 0) {
  		var element_id = $(instances[0]).attr('id');
  		//console.log('Return attr value: ' + $('#' + element_id).attr(attr_name));
  		return $('#' + element_id).attr(attr_name);
  	} else {
  		return '';
  	}
 	
  };


  docman.setFileAttr = function(file_id, element_type, attr_name, attr_value) {
  	var instances = $('[name="' + element_types[element_type] + file_id + '"]');
  	for (var i=0; i < instances.length; i++) {
  		var element_id = $(instances[i]).attr('id');
  		//console.log('Setting element: ' + element_id);
  		$('#' + element_id).attr(attr_name, attr_value);
  	}  	
  };


  docman.setFolderAttr = function(folder_id, element_type, attr_name, attr_value) {
  	var instances = $('[name="' + element_types[element_type] + folder_id + '"]');
  	for (var i=0; i < instances.length; i++) {
  		var element_id = $(instances[i]).attr('id');
  		//console.log('Setting element: ' + element_id);
  		$('#' + element_id).attr(attr_name, attr_value);
  	}  	
  };


	docman.setHtml = function(file_id, element_type, str_html) {	
  	var instances = $('[name="' + element_types[element_type] + file_id + '"]');
  	for (var i=0; i < instances.length; i++) {
  		var element_id = $(instances[i]).attr('id');
  		//console.log('Setting element: ' + element_id);
  		$('#' + element_id).html(str_html);
  	} 
  
	};


  docman.getFolderId = function(str_folder) {
  	str_folder = str_folder.replace('folder-panel-', '');
  	str_folder = str_folder.replace('node-folder-name', '');
  	str_folder = str_folder.replace('node-folder-up', '');
		str_folder = str_folder.replace('node-folder', '');
		return str_folder;
  };


</script>