<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
//
// This code shows a form for News
//
require_once('plugins/news/lib/NewsPeer.php');
require_once('plugins/news/lib/News.php');
require_once('GFUrl.php');
require_once('html/GFCKEditor.php');

$session = Session::getSession();
$Lang = $session->getLanguage();

if (isset($_GET['return_to'])) {
	$return_to = Validator::sanitizeString($_GET['return_to']);
} else {
	$return_to = "";
}

require_once('plugins/news/lib/html/NewsTemplate.php');
$theme = new NewsTemplate();

$project = GFUrl::getUrl()->getProject();
//$News = $NewsPeer::retrieveByPk($_GET['id']);

$params = array(
		'project' => $project,
	//	'News' => $News,
		'action' => isset($action) ? $action : '',
		'feedback' => isset($_REQUEST['feedback']) ? $_REQUEST['feedback'] : (isset($feedback) ? $feedback : ''),
		'title' => $Lang->getText('News.AddNewPageTitle')
		);


$summary=((isset($_POST['summary'])) ? htmlspecialchars($_POST['summary']) : '' );
$details=((isset($_POST['details'])) ? htmlspecialchars($_POST['details']) : '' );

$CKEditor = new GFCKEditor(GFCKEditor::FULL);
$CKEditor->textareaAttributes=array('cols'=>80,'rows'=>80);
$CKEditor->setConnectorURLs($project->getProjectId());

include('forms/NewsAdd-tpl.php');

?>
