<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
//
// This code shows a form for $OBJECT deletion
//
require_once('plugins/projectrating/lib/UserProjectRating.php');
require_once('html/ProjectTemplate.php');

$project = GFUrl::getUrl()->getProject();
$lang = Session::getSession()->getLanguage();
$template = new ProjectTemplate();
$session = Session::getSession();;

$params = array(
	'project' => $project,
	'title' => $lang->getText('ProjectRating.ProjectComments'),
	'feedback' => isset($_REQUEST['feedback']) ? $_REQUEST['feedback'] : (isset($feedback) ? $feedback : ''),
	'extra_head' => RatingWidget::getExtraHeaders(),
);
$template->header($params);
?>
<p>
	<h4><?php echo $lang->getText('ProjectRating.DeleteConfirm') ?></h4>
</p>
<form action="<?php echo GFUrl::getUrl()->currentBaseURL('UserProjectRatingDeleteAction') ?>" method="post">
	<input type="hidden" name="user_id" value="<?php echo $_REQUEST['user_id'] ?>" />
	<table border="0">
	<tr>
		<td><strong><?php echo $lang->getText('TrackerItemDeleteForm.Confirm'); ?></strong>
		<input type="checkbox" name="sure" value="1"/></td>
	</tr>
	<tr>
		<td colspan="2" align="center">
			<?php echo HTMLWidget::button("submit", $lang->getText('submit.delete'),"submit","",""); ?><?php echo HTMLWidget::button("button", $lang->getText('submit.cancel'),"button","","javascript:history.back();"); ?>
		</td>
	</tr>
	</table>
</form>
<?php
$theme->footer($params);
?>

