<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id$
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
require_once('plugins/projectrating/lib/UserProjectRating.php');
require_once('exceptions/PermissionDeniedException.php');
require_once('core/Language.php');

$project = GFUrl::getUrl()->getProject();

if ($_POST['sure']) {
	$rating = UserProjectRatingPeer::retrieveByPk($_REQUEST['user_id'], $project->getProjectId());
	if (is_object($rating) && $rating->userCanDelete()) {
		$rating->delete();
		GFUrl::getUrl()->redirect(GFUrl::getUrl()->currentBaseURL('ProjectRatingComments'), array('feedback' => Language::getSessLang()->getText('ProjectRating.DeleteFeedback')));
	} else {
		throw new PermissionDeniedException();
	}
} else {
	GFUrl::getUrl()->redirect(GFUrl::getUrl()->currentBaseURL('ProjectRatingComments'), array('feedback' => Language::getSessLang()->getText('ProjectRating.DidntConfirm')));
}

?>
