<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id$
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
//
// This code lists ScmModule
//

require_once('plugins/scm/lib/ScmModule.php');

$project = GFUrl::getUrl()->getProject();
$ProjectScm = ProjectScmPeer::retrieveByPk($project->getProjectId());

if (!$ProjectScm) {
	throw new PermissionDeniedException();
}

$hostname=((isset($_POST['hostname'])) ? htmlspecialchars($_POST['hostname']) : $ProjectScm->getHostname());
$external_browse_url=((isset($_POST['external_browse_url'])) ? htmlspecialchars($_POST['external_browse_url']) : $ProjectScm->getExternalBrowseUrl());

include('forms/ScmSetControlled-tpl.php');
?>