<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id$
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
//
// This code lists ScmModule
//

$session = Session::getSession();
$Lang = $session->getLanguage();

require_once('plugins/scmcvs/lib/html/ScmCVSAdminTemplate.php');
$theme = new ScmCVSAdminTemplate();

$project = GFUrl::getUrl()->getProject();

$params = array(
		'project' => $project,
		'action' => isset($action) ? $action : '',
		'feedback' => isset($_REQUEST['feedback']) ? $_REQUEST['feedback'] : (isset($feedback) ? $feedback : ''),
		'title' => $Lang->getText('CodeSearchModuleCVS.BrowsePageTitle')
		);
$theme->header($params);

$CODE_SEARCH_MODULE_NAME = $Lang->getText('CodeSearchModuleCVS.CodeSearchModuleName');
$CODE_SEARCH_MODULE_NAME_PLURAL = $Lang->getText('CodeSearchModuleCVS.CodeSearchModuleNamePlural');
require_once('plugins/scm/wwwlib/admin/CodeSearchModuleBrowse.php');

$theme->footer($params);

?>
