<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id$
 * @author Tim Perdue tim@gforge.org
 * @date 2006-02-27
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

$theme->header($params);
?>
<p>
	<strong><?php echo $Lang->getText('Snippet.Delete'); ?></strong>
</p>
<?php 
	if (isset($_REQUEST['_trove_category_id'])) { 
		$cat = Validator::sanitizeInt($_REQUEST['_trove_category_id']);
?>
<form action="<?php echo GFUrl::getUrl()->currentBaseUrl('SnippetDeleteAction', array('_trove_category_id' => $cat)) ?>" method="POST">
<?php
	} else { 
?>
<form action="<?php echo GFUrl::getUrl()->currentBaseURL('SnippetDeleteAction') ?>" method="POST">
<?php 
	} 
?>
	<input type="hidden" name="snippet_id" value="<?php echo Validator::sanitizeInt($_REQUEST['snippet_id']); ?>" />
	<table border="0">
	<tr>
		<td><strong><?php echo $Lang->getText('SnippetDeleteForm.Confirm'); ?></strong>
		<input type="checkbox" name="sure" value="1"></td>
	</tr>
	<tr>
		<td colspan="2" align="center"><?php echo HTMLWidget::button("submit","" .   $Lang->getText('submit.delete') . " ","submit","","")?></td>
	</tr>
	</table>
</form>
<?php
$theme->footer($params);
?>