<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
//
// This code shows a form for TrackerCannedResponse
//
require_once('plugins/tracker/lib/TrackerCannedResponsePeer.php');
require_once('plugins/tracker/lib/TrackerCannedResponse.php');
require_once('GFUrl.php');

$session = Session::getSession();
$Lang = $session->getLanguage();

require_once('plugins/tracker/lib/html/TrackerAdminTemplate.php');
$theme = new TrackerAdminTemplate();

$Project = GFUrl::getUrl()->getProject();
$Tracker = TrackerPeer::retrieveByPk($_REQUEST['tracker_id']);

$params = array(
		'project' => $Project,
		'tracker' => $Tracker,
		'action' => isset($action) ? $action : '',
		'feedback' => isset($_REQUEST['feedback']) ? $_REQUEST['feedback'] : (isset($feedback) ? $feedback : ''),
		'title' => $Lang->getText('TrackerCannedResponse.AddNewPageTitle')
		);

$tracker_id=$Tracker->getTrackerId();
$title=((isset($_POST['title'])) ? htmlspecialchars($_POST['title']) : '' );
$body=((isset($_POST['body'])) ? htmlspecialchars($_POST['body']) : '' );

include('forms/TrackerCannedResponseAdd-tpl.php');

?>