<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id$
 * @author Marcelo Mottalli <marcelo@gforgegroup.com>
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

?>
<script type="text/javascript">
	// Automatically select the corresponding radio button when the input changes
	$(function() {
		$('#script_path').keyup(function() { $('#local').attr('checked', true); });
		$('#uploaded_script').change(function() { $('#upload').attr('checked', true);  });
	});
</script>
<form action="<?php echo GFUrl::getUrl()->currentBaseURL('TrackerTransitionScriptFormAction') ?>" method="post" enctype="multipart/form-data">
	<?php if ($tracker_transition_script_id): ?>
	<input type="hidden" name="tracker_transition_script_id" value="<?php echo $tracker_transition_script_id ?>" />
	<?php endif; ?>
	<table border="0">
		<tr>
			<td>
				<strong><?php echo $lang->getText('Tracker.WorkflowScriptDescriptionTitle') ?></strong> <br />
				<input type="text" name="description" value="<?php echo $description ?>" size="40" />
			</td>
		</tr>
		<tr>
		    <td>
				<?php if ($script): ?>
				<input type="radio" name="script_type" value="0" id="nochanges" <?php if (!$scriptType || $scriptType == 0) echo 'checked="checked"'; ?> /><label for="nochanges"><?php echo $lang->getText('Tracker.WorkflowScriptNoChanges') ?></label> <br />
				<?php endif; ?>
				<input type="radio" name="script_type" value="<?php echo TrackerTransitionScript::SCRIPT_TYPE_LOCAL ?>" id="local" <?php if ($scriptType == TrackerTransitionScript::SCRIPT_TYPE_LOCAL) echo 'checked="checked"'; ?>/><label for="local"><?php echo $lang->getText('Tracker.WorkflowScriptSpecifyLocal') ?>: </label> <input type="text" name="script_path" id="script_path" size="50" value="<?php echo $script_path ?>" /><br />
				<input type="radio" name="script_type" value="<?php echo TrackerTransitionScript::SCRIPT_TYPE_UPLOADED ?>" id="upload" <?php if ($scriptType == TrackerTransitionScript::SCRIPT_TYPE_UPLOADED) echo 'checked="checked"'; ?>/><label for="upload"><?php echo $lang->getText('Tracker.WorkflowScriptUploadScript') ?>: </label> <input type="file" name="uploaded_script" id="uploaded_script" />
		    </td>
		</tr>
		<tr>
		<td>
			<?php 
			if ($tracker_transition_script_id) {
				echo HTMLWidget::button("submit", $lang->getText('submit.update'), "submit", "", "");
			} else {
				echo HTMLWidget::button("submit", $lang->getText('submit.add'), "submit", "", "");
			}
			?>
			<?php echo HTMLWidget::button("button", $lang->getText('Common.Cancel'), "cancel", "", "window.location = '".GFUrl::getUrl()->currentBaseURL('TrackerTransitionScriptBrowse')."'; ")?>
		</td>
		</tr>
	</table>
</form>
