<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id$
 * @author Tim Perdue tim@gforge.org
 * @date 2006-02-27
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

$theme->header($params);
?>
	<p>
	<h4><?php echo $Lang->getText('TrackerItem.DeleteSelected'); ?></h4>
	</p>
	<form action="<?php echo GFUrl::getUrl()->currentBaseURL('TrackerItemMassDeleteAction') ?>" method="post">
		<table border="0">
			<input type="hidden" name="tids_delete" value="<?php echo $str_tids_delete; ?>" />
			<input type="hidden" name="tracker_id" value="<?php echo $tracker_id; ?>" />
			<tr>
				<ul>
					<?php
					foreach ($tracker_items as $tracker_item) {
						?>
						<li>[#<?php echo $tracker_item->getTrackerItemId(); ?>] <?php echo $tracker_item->getSummary(); ?></li>
					<?php
					}
					?>
				</ul>
				</td>
			</tr>
			<tr>
				<td><strong><?php echo $Lang->getText('TrackerItemDeleteForm.Confirm'); ?></strong>
					<input type="checkbox" name="sure" value="1"></td>
			</tr>
			<tr>
				<td colspan="2" align="center">
					<?php echo HTMLWidget::button("submit","" .   $Lang->getText('submit.delete') . " ","submit","","")?>
					<?php echo HTMLWidget::button("button","" .   $Lang->getText('submit.cancel') . " ","button","",'document.location.href=\''.GFUrl::getUrl()->currentBaseURL('TrackerItemBrowse').'&tracker_id='.$tracker_id.'\'');	?>
				</td>
			</tr>
		</table>
	</form>
<?php
$theme->footer($params);
?>