<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id$
 * @author Tim Perdue tim@gforge.org
 * @date 2006-02-27
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
?>
<script>
	function trackerItemTimeAdd() {
		var tracker_item_id = <?php echo $TrackerItem->getTrackerItemId(); ?>;
		var hours = $("[name='hours']").val();
		var date_entry = $("[name='date_entry'] :selected").val();
		var tracker_time_code_id = $("[name='tracker_time_code_id'] :selected").val();

		var url = "<?php echo GFUrl::getUrl()->currentBaseURL('TrackerItemTimeAddAction') ?>";
		var form = $('<form action="' + url + '" method="post">' +
  		'<input type="text" name="tracker_item_id" value="' + tracker_item_id + '" />' +
  		'<input type="text" name="hours" value="' + hours + '" />' +
  		'<input type="text" name="date_entry" value="' + date_entry + '" />' +
  		'<input type="text" name="tracker_time_code_id" value="' + tracker_time_code_id + '" />' +
			'</form>');
		$('body').append(form);
		$(form).submit();

	}
</script>
<p>
	<strong><?php echo $Lang->getText('TrackerItemTime.Edit'); ?></strong>
</p>
<div id="tracker_time_add">
<table border="0" width="100%">
	<tr>
		<td><strong><?php echo $Lang->getText('TrackerItemTime.DateEntry'); ?></strong><br />
		<?php echo HTMLWidget::selectBoxFromArrays($TrackerTimeRecentDays, $TrackerTimeRecentDays, 'date_entry', $date_entry,false); ?></td>
		<td><strong><?php echo $Lang->getText('TrackerItemTime.HoursName'); ?></strong><br />
		<input type="text" name="hours" value="<?php echo $hours; ?>" size="4" /></td>
		<td><strong><?php echo $Lang->getText('TrackerItemTime.TrackerTimeCodeIdName'); ?></strong><br />
		<?php echo HTMLWidget::select('tracker_time_code_id', $TrackerTimeCodes, $tracker_time_code_id, HTMLWidget::OPTION_NONE, false); ?></td>
		<td><?php echo HTMLWidget::button("button","" .   $Lang->getText('TrackerItemTime.Save') . " ","submittime", "", "trackerItemTimeAdd()")?></td>
		</td>
	</tr>
</table>
</div>
