<p>
	<strong><?php echo $lang->getText('UserCalendar.EventEdit') . " #$event_id"; ?></strong>
</p>
<script language="javascript" type="text/javascript" src="/datetimepicker.js"></script>
<form action="<?php echo GFUrl::getUrl()->currentBaseURL('UsercalendarEventEditAction') ?>" method="post">
	<table border="0">
	<input type="hidden" name="event_id" value="<?php echo $event_id?>" />
	<input type="hidden" name="start_date" value="<?php echo $start_date?>" />
	<input type="hidden" name="redirect_to" value="<?php echo $redirect_to?>" />
	<tr>
		<td>
			<strong><?php echo $lang->getText('UserCalendar.EventFromDate'); ?></strong><span class="required">*</span><br />
			<input id="startdate" name="from_date" value="<?php echo  $from_date ?>" size="11" maxlength="11" /><a href="javascript:NewCal('startdate','MMMddyyyy')"><img src="/themes/gforge5/images/cal.gif" width="16" height="16" border="0" alt="Pick a date"/></a>
		</td>
	</tr>
	 <tr>
		<td>
			<strong><?php echo $lang->getText('UserCalendar.EventToDate'); ?></strong><span class="required">*</span><br />
			<input id="enddate" name="to_date" value="<?php echo $to_date ?>" size="11" maxlength="11" /><a href="javascript:NewCal('enddate', 'MMMddyyyy')"><img src="/themes/gforge5/images/cal.gif" width="16" height="16" border="0" alt="Pick a date"/></a>
		</td>
	</tr>
	<tr>
		<td>
			<strong><?php echo $lang->getText('UserCalendar.EventFromHour');?></strong><span class="required">*</span><br />
			<select name="from_hour_hour">
				<?php echo UsercalendarRenderer::buildHoursOptions($from_hour_hour); ?>
			</select>
			<select name="from_hour_minute">
				<?php echo UsercalendarRenderer::buildMinutesOptions($from_hour_minute); ?>
			</select>
		</td>
	</tr>
	<tr>
		<td>
			<strong><?php echo $lang->getText('UserCalendar.EventToHour'); ?></strong><span class="required">*</span><br />
			<select name="to_hour_hour">
			<?php echo UsercalendarRenderer::buildHoursOptions($to_hour_hour); ?>
			</select>
			<select name="to_hour_minute">
				<?php echo UsercalendarRenderer::buildMinutesOptions($to_hour_minute); ?>
			</select>
		</td>
	</tr>
	<!-- Disabled for now
	<tr>
		<td>
			<strong><?php //echo $lang->getText('UserCalendar.EventOcurrence'); ?></strong><br />
			<select name="occurrence">
				<?php //echo UsercalendarRenderer::buildEventOccurrenceOptions($occurrence)?>
			</select>
		</td>
	</tr>
	<tr>
		<td>
			<strong><?php //echo $lang->getText('UserCalendar.EventOccurrenceTo'); ?></strong><br />
			<input id="occurrence_to" name="occurrence_to" value="<?php //echo  $occurrence_to == 0 ? '' : $occurrence_to ?>" size="11" maxlength="11" /><a href="javascript:NewCal('occurrence_to','MMMddyyyy')"><img src="/themes/gforge5/images/cal.gif" width="16" height="16" border="0" alt="Pick a date"/></a>
		</td>
	</tr>
	-->

	<tr>
		<td>
			<strong><?php echo $lang->getText('UserCalendar.EventIsPublic'); ?></strong><br />
			<input type="checkbox" value="true" name="is_public" <?php if($is_public) echo 'checked="checked"' ?>/>
		</td>
	</tr>
	<tr>
		<td>
			<strong><?php echo $lang->getText('UserCalendar.SendReminder')?></strong><br />
			<select name="reminder">
				<option value="0" <?php echo !isset($reminder) || $reminder == 0? 'selected="selected"' : ''?>><?php echo $lang->getText('UserCalendar.ReminderNone') ?></option>
				<option value="1" <?php echo isset($reminder) && $reminder == 1 ? 'selected="selected"' : ''?>><?php echo $lang->getText('UserCalendar.ReminderHourBefore') ?></option>
				<option value="2" <?php echo isset($reminder) && $reminder == 2 ? 'selected="selected"' : ''?>><?php echo $lang->getText('UserCalendar.ReminderDayBefore') ?></option>
				<option value="3" <?php echo isset($reminder) && $reminder == 3 ? 'selected="selected"' : ''?>><?php echo $lang->getText('UserCalendar.ReminderWeekBefore') ?></option>
			</select>
		</td>
	</tr>
	<tr>
		<td>
			<strong><?php echo $lang->getText('UserCalendar.EventSubject'); ?></strong><span class="required" /><br />
			<input type="text" name="subject" size="80" value="<?php echo $subject ?>"/>
		</td>
	</tr>
	<tr>
		<td>
			<strong><?php echo $lang->getText('UserCalendar.EventDescription'); ?></strong><br />
			<textarea name="description" rows="20" cols="80"><?php echo $description ?></textarea>
		</td>
	</tr>

		<td colspan="2">
			<?php echo HTMLWidget::button("submit", "" . $lang->getText('UserCalendar.EventUpdate'). " " ,"submit","","");?>
		</td>
	</tr>
</table>
</form>

<?php 
echo $theme->footer($params);

?>
