<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id$
 * @author Ruben Gutierrez	ruben@gforgegroup.com
 * @date 2006-03-16
 *
 * SOAP plugin for GForge5.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
 

//
// artifactGetChangeLog
//

//TODO: SHOULD WE ADD "new_value"?
$server->wsdl->addComplexType(
	'ArtifactChangeLog',
	'complexType',
	'struct',
	'sequence',
	'',
	array(
		'field_name' => array('name' => 'field_name', 'type' => 'xsd:string'),
		'old_value' => array('name' => 'old_value', 'type' => 'xsd:string'),
		'date' => array('name' => 'date', 'type' => 'xsd:int'),
		'user_name' => array('name' => 'user_name', 'type' => 'xsd:string')
	)
);

$server->wsdl->addComplexType(
	'ArrayOfArtifactChangeLog',
	'complexType',
	'array',
	'',
	'SOAP-ENC:Array',
	array(),
	array(
		array('ref'=>'SOAP-ENC:arrayType','wsdl:arrayType'=>'tns:ArtifactChangeLog[]')
	),
	'tns:ArtifactChangeLog'
);

?>
