<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
//
// This code lists Project
//
require_once('html/HTMLWidget.php');

$session = Session::getSession();
$Lang = $session->getLanguage();

require_once('html/templates/SiteAdminTemplate.php');
$theme = new SiteAdminTemplate();

$params = array(
	//	'project' => $Project,
	//	'SiteTemplate' => $SiteTemplate,
		'action' => isset($action) ? $action : '',
		'feedback' => isset($_REQUEST['feedback']) ? $_REQUEST['feedback'] : (isset($feedback) ? $feedback : ''),
		'title' => $Lang->getText('Project.Browse')
		);


$avatars = User::getAvailableStockAvatars();

		$url_prefix = "";
		if (GFConf::get('system.use_ssl') == true) {
			$url_prefix = "https://";
		} else {
			$url_prefix = "http://";
		}
?>
<style type="text/css">

#imgalleryl {
	margin:0 auto;
	position: relative;
}

.photocontainer {
	float:left;
	width:120px;
	height:120px;
	margin:10px;
	padding:5px;
	background-color:#f5f7f9;
	border-right: #a5a7aa solid 1px;
	border-bottom: #a5a7aa solid 1px;
	text-align:center;
}

.photocontainer img {
	border:1px solid #EEE;
}


.photocontainer a {
	text-decoration: none;
}

.photocontainer span {
	color:#515151;
	font-family: Trebuchet MS;
	font-size: 9pt;
}

</style>

<script type="text/javascript">

var selected_avatar_id = 0;
	
</script>
<?php
require_once("forms/StockAvatarSelect-tpl.php");
?>
