<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id$
 * @author Federico Tarantini federico@gforgegroup.org
 * @date 2006-11-22
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

//require_once('core/ProjectPeer.php');
//require_once('session/Session.php');
//require_once('core/Plugin.php');
//require_once('plugin/GFPlugin.php');
//require_once('core/RolePeer.php');
//require_once('core/UserProject.php');
require_once('html/HTMLWidget.php');

$session = Session::getSession();
$Lang = $session->getLanguage();

$graph_type_id=((isset($_REQUEST['graph_type'])) ? $_REQUEST['graph_type'] : 0 );
$begin=((isset($_REQUEST['start_date'])) ? $_REQUEST['start_date'] : 0 );
$end=((isset($_REQUEST['end_date'])) ? $_REQUEST['end_date'] : 0 );

if ($begin=='0') {
        $begin = (time()-((30*86400)*6));
} else {
        $begin = strtotime($begin);
}
if ($end=='0') {
        $end = time();
} else {
        $end=strtotime($end)+86399;
}
if ($begin > $end) {
        $endtmp=$end;
        $end=$begin;
        $begin=$endtmp;
}

$graph_type = array($Lang->getText('SiteAdmin.TrackerItemsByMonth'),
		    $Lang->getText('SiteAdmin.DownloadsByMonth'),
		    $Lang->getText('SiteAdmin.UsersRegisteredByMonth'),
		    $Lang->getText('SiteAdmin.CommitsByMonth'));


require_once('html/templates/SiteAdminTemplate.php');

$template = new SiteAdminTemplate();
$params = array(
                'title' => $Lang->getText('SiteAdmin.AdminReports')
		);
$template->header($params);

?>
<script language="javascript" type="text/javascript" src="/datetimepicker.js">
</script>
<br />
<form action="<?php echo $_SERVER['REQUEST_URI']; ?>" method="post">
<table border="0" cellspacing="0" cellpadding="3" bgcolor="#E0E0E0">
<tr>
	<td><?php echo HTMLWidget::selectBoxFromAssoc($graph_type,'graph_type',$graph_type_id, false, false) ?></td>
        <td><input id="startdate" name="start_date" value="<?php echo date('M d Y',$begin); ?>" size="11" maxlength="11" /><a href="javascript:NewCal('startdate','MMMddyyyy')"><img src="/themes/gforge5/images/cal.gif" width="16" height="16" border="0" alt="Pick a date"/></a></td>
        <td><input id="enddate" name="end_date" value="<?php echo date('M d Y',$end); ?>" size="11" maxlength="11" /><a href="javascript:NewCal('enddate','MMMddyyyy')"><img src="/themes/gforge5/images/cal.gif" width="16" height="16" border="0" alt="Pick a date"/></a></td>
        <td valign="middle" rowspan="2"><?php echo HTMLWidget::button("submit","" .   $Lang->getText('Common.Submit')  . " ","submit","","")?></td>
</tr>
</table>
</form>
<?php
$imgquerystring = '&amp;start_date='.date('Y-m-d', $begin);
$imgquerystring .= '&amp;end_date='.date('Y-m-d', $end);

switch($graph_type_id) {
case 0:
	echo '<br /><img src="/gf/admin/graphs/?action=TrackerItemsByMonth'.$imgquerystring.'" height="250" width="450" alt="" /> &nbsp;';
	break;
case 1:
	echo '<br /><img src="/gf/admin/graphs/?action=DownloadsByMonth'.$imgquerystring.'" height="250" width="450" alt="" /> &nbsp;';
	break;
case 2:
	echo '<br /><img src="/gf/admin/graphs/?action=UsersRegisteredByMonth'.$imgquerystring.'" height="250" width="450" alt="" /> &nbsp;';
	break;
case 3:
	echo '<br /><img src="/gf/admin/graphs/?action=CommitsByMonth'.$imgquerystring.'" height="250" width="450" alt="" /> &nbsp;';
	break;
}

echo '<br>';
echo HTMLWidget::button("button",$Lang->getText('Common.Back'),"cancel","","window.location = '".GFUrl::getUrl()->currentBaseUrl('')."';");
$template->footer();
?>
