<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
//
// This code shows a form for editing SiteAdmin
//
require_once('core/SiteAdminPeer.php');
require_once('core/SiteAdmin.php');
require_once('exceptions/PermissionDeniedException.php');

$session = Session::getSession();
$Lang = $session->getLanguage();

require_once('lib/html/templates/SiteAdminTemplate.php');
$theme = new SiteAdminTemplate();

$theme->addBreadCrumb('<a href="'.GFUrl::getUrl()->baseURL('SiteAdminBrowse','','admin').'">'.Language::getSessText('SiteAdmin.EditAdmin').'</a>');

if (!Session::getSession()->isSiteAdmin()) {
	throw new PermissionDeniedException();
}

$params = array(
		'feedback' => isset($_REQUEST['feedback']) ? $_REQUEST['feedback'] : (isset($feedback) ? $feedback : ''),
		'action' => isset($action) ? $action : '',
		'title' => $Lang->getText('SiteAdmin.AddNew')
		);

include ('forms/SiteAdminAdd-tpl.php');

?>
