<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   
 * @author Daniel A. Perez	daniel@gforgegroup.com
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

require_once('html/templates/SiteAdminTemplate.php');
require_once('html/HTMLWidget.php');

if(isset($_REQUEST['feedback'])) $feedback = $_REQUEST['feedback'];

$Lang = Session::getSession()->getLanguage();

$template = new SiteAdminTemplate();

$params = array(
		'feedback' => isset($feedback) ? $feedback : '',		
		'title'	=> $Lang->getText('TroveDelete.DeleteCategory')
	);

// Trove categories to be deleted
$troveCatIds = explode(',', $_REQUEST['trove_cat_id']);
$criteria = new Criteria();
$criteria->add(TroveCategoryPeer::TROVE_CATEGORY_ID, $troveCatIds, Criteria::IN);
$criteria->addAscendingOrderByColumn(TroveCategoryPeer::TROVE_CATEGORY_ID);
$TroveCategories = TroveCategoryPeer::doSelect($criteria);

if (empty($TroveCategories)) {
	throw new PermissionDeniedException();
}

include('forms/TroveDelete-tpl.php');

?>
