<?php

/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version $Id$
 * @author Daniel A. Prez	daniel@gforgegroup.com
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */


echo '<form name="edit" method="POST" action="' . GFUrl::getUrl()->currentBaseURL('EditFrontPageAction') . '">';
// setting the fckeditor object
echo '<p><h3>' . Language::getSessText('SiteAdmin.EditFrontPage') . '</h3></p>';

$CKEditor = new GFCKEditor(GFCKEditor::FULL);
$CKEditor->config['width']='800';
$CKEditor->config['height'] = '500';
$CKEditor->setConnectorUrls(0);
// IMPORTANT TODO -> fckeditor needs a reference to the url. to accomplish this, we must create a link from the root www dir (where gf resides) to
// the directory where fckeditor is (for example lib/external/fckeditor and name it as that dir (fckeditor)

//get the frontpage contents
$c = new Criteria();
$c->add(FilesystemPeer::SECTION,'frontpage'); // TODO -> this section name should be stored somewhere as a constant
$front_page = FilesystemPeer::doSelectOne($c);
if (!is_object($front_page)) {
	$contents = Language::getSessText('SiteAdmin.FrontPageDefault');
} else {
	$contents = $front_page->getFileData();
}
$CKEditor->editor('contents',$contents);
echo '<div align="left">';
echo HTMLWidget::button("submit", $Lang->getText('submit.update'), 'submit');
echo HTMLWidget::button("button", $Lang->getText('Common.Back') ,"cancel","","javascript:history.go(-1);");
echo '</div></form>';

?>
