<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id:
 * @author Federico Tarantini federico@gforgegroup.com
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
?>
<form action="<?php echo GFUrl::getUrl()->currentBaseURL('SiteNotificationAction') ?>" method="POST">
	<table border="0">
		<tr>
			<td align="left"><strong><?php echo $Lang->getText('SiteNotification.Subject'); ?>&nbsp;*</strong></td>
		</tr>
		<tr>
			<td align="left"><input type="text" name="sn_subject" /></td>
		</tr>
		<tr>
			<td align="left"><strong><?php echo $Lang->getText('SiteNotification.Message'); ?>&nbsp;*</strong></td>
		</tr>
		<tr>
			<td align="left"><textarea name="sn_body" rows="6" cols="50"></textarea></td>
		</tr>
		<tr>
			<td align="left"><input type="radio" name="notified_users" value="<?php echo SiteNotification::MONITORED_USERS; ?>" <?php  echo ((SiteNotification::DEFAULT_USERSOPTION == SiteNotification::MONITORED_USERS) ? 'checked' : ''); ?> >&nbsp; <?php echo $Lang->getText('SiteNotification.MonitoredUsersOption'); ?>&nbsp;&nbsp;
			<input type="radio" name="notified_users" value="<?php echo SiteNotification::ADMIN_USERS; ?>" <?php  echo ((SiteNotification::DEFAULT_USERSOPTION == SiteNotification::ADMIN_USERS) ? 'checked' : ''); ?> >&nbsp; <?php echo $Lang->getText('SiteNotification.AdminUsersOption'); ?>
			</td>
		</tr>

		<tr>
			<td align="left">
				<br>
					<?php echo HTMLWidget::button("submit","" .   $Lang->getText('SiteNotification.Submit') . " ","submit","","")?>
					<?php echo HTMLWidget::button("button","" .   $Lang->getText('Common.Cancel') . " ","cancel","","window.location = '" .   GFUrl::getUrl()->currentBaseURL('',array()) . "'; ")?>
			</td>
		</tr>
	</table>
</form>
