<!-- GFDialogs -->
<link href="/themes/gforge5/gf-dialogs.css" rel="stylesheet" type="text/css">
<script language="javascript" type="text/javascript" src="/js/gf-dialogs.js"></script>
<!-- GFDialogs -->

<!-- TroveMassUpdate -->
<link href="/themes/gforge5/trove-mass-update/trove-mass-update.css" rel="stylesheet" type="text/css">
<script language="javascript" type="text/javascript" src="/js/trove-mass-update/trove-mass-update.js"></script>
<script>
	$(function(){
		GFTroveMassUpdate.setText({
			no_change: '<?php echo $Lang->getText("TroveMassUpdate.NoChange"); ?>',
			move_warning: '<?php echo str_replace("'", "\\'", $Lang->getText("TroveMassUpdate.MoveWarning")).' ';?>',
			merge_warning: '<?php echo str_replace("'", "\\'", $Lang->getText("TroveMassUpdate.MergeWarning")).' ';?>',
			merge_delete_warning: '<?php echo str_replace("'", "\\'", $Lang->getText("TroveMassUpdate.MergeDeleteWarning")).' ';?>',
			mass_update_confirm: '<?php echo $Lang->getText("TroveMap.MassUpdateConfirm");?>',
			cancel: '<?php echo $Lang->getText("Common.Cancel");?>',
			yes: '<?php echo $Lang->getText("Common.Yes");?>',
			no_items_selected: '<?php echo $Lang->getText('TroveMassUpdate.NoItemsSelected'); ?>',
			no_changes_required: '<?php echo $Lang->getText('TroveMassUpdate.NoChangesRequired'); ?>'
		});
		GFTroveMassUpdate.setServerSideActions({
			toggle_enabled: '<?php echo GFUrl::getUrl()->currentBaseUrl('TroveToggleEnabledAction'); ?>',
			get_delete_warnings: '<?php echo GFUrl::getUrl()->currentBaseUrl('TroveGetDeleteWarningsAction'); ?>'
		});
		GFTroveMassUpdate.init();
	});
</script>
<!-- -->

<form action="<?php echo GFUrl::getUrl()->currentBaseUrl('TroveMassUpdateAction'); ?>" method="POST" class="trove-mass-update-form">
    <fieldset class="massUpdate">
        <legend><strong style="margin: 0 5px;"><?php echo $Lang->getText("TroveMap.MassUpdate") ?></strong></legend>
        <table width="100%">
            <tr>
                <td width="50%" valign="top">
                    <strong><?php echo $Lang->getText('TroveEdit.AccessLevel'); ?></strong><br/>
                    <?php echo HTMLWidget::selectBoxFromAssoc(array(
                        '-1' => '',
                        '0'  => $Lang->getText('TroveEdit.AccessAnyone'),
                        '99' => $Lang->getText('TroveEdit.AccessAdmin')
                    ), 'access_level', -1, false, false); ?>
                </td>
                <td width="50%" valign="top">
                    <strong><?php echo $Lang->getText('TroveEdit.ShowInSearch'); ?></strong><br />
                    <?php echo HTMLWidget::selectBoxFromAssoc(array(
                        '-1' => '',
                        '1'  => $Lang->getText('Common.Yes'),
                        '0' => $Lang->getText('Common.No')
                    ), 'show_in_search', -1, false, false); ?>
                </td>
            </tr>
            <tr>
                <td colspan="2" valign="top">
                    <strong><?php echo $Lang->getText('TroveMassUpdate.Move'); ?></strong> 
                    (<strong><?php echo $Lang->getText('TroveMassUpdate.Merge'); ?></strong>
                    <input type="checkbox" id="merge" name="merge"></input>)
                    <br/>
                    <?php echo "<select name=\"move\"><option value=\"-1\"></option>$trove_options</select>"; ?>
                </td>                
            </tr>
            <tr>
                <td colspan="2">
                    <?php echo HTMLWidget::button("submit", $Lang->getText("TroveMap.MassUpdate"), "browse", "mass-update-submit", ""); ?>
                    <?php echo HTMLWidget::button("submit", $Lang->getText("TroveMap.MassDelete"), "massdelete", "mass-delete-submit", ""); ?>
                </td>
            </tr>
        </table>
    </fieldset>
    
    <div class="trove-map">
        <?php echo $troveMap; ?>
    </div>
    
</form>