<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

echo $theme->header($params);
?>

<p>
	<strong><?php echo $Lang->getText('User.AddNew'); ?></strong>
</p>
<form action="<?php echo GFUrl::getUrl()->currentBaseURL('UserAddAction') ?>" method="POST" autocomplete="off">
	<table border="0">
		<tr>
			<td><strong><?php echo $Lang->getText('User.UnixNameName'); ?></strong><span class="required">*</span><br />
			<input type="text" name="unix_name" value="<?php echo $unix_name; ?>"  /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('User.EmailName'); ?></strong><span class="required">*</span><br />
			<input type="text" name="email" value="<?php echo $email; ?>"  /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('User.StatusName'); ?></strong><span class="required">*</span><br />
			<input type="text" name="status" value="<?php echo $status; ?>"  /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('User.PasswordMd5Name'); ?></strong><span class="required">*</span><br />
			<input type="text" name="password_md5" maxlength="32" value="<?php echo $password_md5; ?>"  autocomplete="off" /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('User.PasswordCryptName'); ?></strong><span class="required">*</span><br />
			<input type="text" name="password_crypt" maxlength="40" value="<?php echo $password_crypt; ?>"  autocomplete="off" /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('User.CreateDateName'); ?></strong><span class="required">*</span><br />
			<input type="text" name="create_date" value="<?php echo $create_date; ?>"  /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('User.ConfirmHashName'); ?></strong><br />
			<input type="text" name="confirm_hash" maxlength="32" value="<?php echo $confirm_hash; ?>"  /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('User.EmailNewName'); ?></strong><br />
			<input type="text" name="email_new" value="<?php echo $email_new; ?>"  /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('User.TimezoneName'); ?></strong><br />
			<input type="text" name="timezone" value="<?php echo $timezone; ?>"  /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('User.DateFormatName'); ?></strong><br />
			<input type="text" name="date_format" value="<?php echo $date_format; ?>"  /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('User.AddressName'); ?></strong><br />
			<input type="text" name="address" value="<?php echo $address; ?>"  /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('User.Address2Name'); ?></strong><br />
			<input type="text" name="address2" value="<?php echo $address2; ?>"  /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('User.PhoneName'); ?></strong><br />
			<input type="text" name="phone" value="<?php echo $phone; ?>"  /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('User.FaxName'); ?></strong><br />
			<input type="text" name="fax" value="<?php echo $fax; ?>"  /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('User.TitleName'); ?></strong><br />
			<input type="text" name="title" value="<?php echo $title; ?>"  /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('User.FirstnameName'); ?></strong><br />
			<input type="text" name="firstname" value="<?php echo $firstname; ?>"  /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('User.LastnameName'); ?></strong><br />
			<input type="text" name="lastname" value="<?php echo $lastname; ?>"  /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('User.CcodeName'); ?></strong><span class="required">*</span><br />
			<input type="text" name="ccode" maxlength="2" value="<?php echo $ccode; ?>"  /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('User.LanguageIdName'); ?></strong><span class="required">*</span><br />
			<input type="text" name="language_id" value="<?php echo $language_id; ?>"  /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('User.ThemeIdName'); ?></strong><span class="required">*</span><br />
			<input type="text" name="theme_id" value="<?php echo $theme_id; ?>"  /></td>
		</tr>
		<tr>
			<td>
				<?php echo HTMLWidget::button("submit","" .   $Lang->getText('submit.add') . " ","submit","","")?>
				<?php echo HTMLWidget::button("button","" .   $Lang->getText('Common.Cancel') . " ","cancel","","javascript:history.go(-1);")?>
			</td>
		</tr>
	</table>
</form>

<?php
echo $theme->footer($params);
?>
