<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

$theme->header($params);
?>
<p>
	<strong><?php echo $Lang->getText('User.Edit'); ?></strong>
</p>
<form action="<?php echo GFUrl::getUrl()->currentBaseURL('UserEditAction') ?>" method="POST">
	<input type="hidden" name="user_id" value="<?php echo $_REQUEST['user_id']; ?>" />
	<table border="0">
		<tr>
			<td><strong><?php echo $Lang->getText('User.UnixNameName'); ?></strong><br />
			<?php echo $unix_name; ?></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('User.EmailName'); ?></strong><br />
			<input type="text" name="email" value="<?php echo $email; ?>" /></td>
		</tr>
<?php
	if ($status == User::STATUS_DELETED ) {
?>
		<tr>
			<td><strong><?php echo $Lang->getText('SiteAdmin.UserList.Deleted') ?></strong> 
			(<?php echo '<a href="'. GFUrl::getUrl()->currentBaseURL('UserEditAction',array('_action'=>'activate','user_id'=>$user_id,'return_to'=>'UserBrowse')) . '">' .Language::getSessText('SiteAdmin.UserList.Activate'). '</a>'; ?>)
			</td>
		</tr>
<?php
	} else if ($status == User::STATUS_PENDING ) {
?>
		<tr>
			<td><strong><?php echo $Lang->getText('SiteAdmin.UserEdit.Pending') ?></strong> 
			(<?php echo '<a href="'. GFUrl::getUrl()->currentBaseURL('UserEditAction',array('_action'=>'activate','user_id'=>$user_id,'return_to'=>'UserBrowse')) . '">' .Language::getSessText('SiteAdmin.UserList.Activate'). '</a>'; ?>)
			</td>
		</tr>

<?php
	} else if ($status == User::STATUS_ACTIVE ) {
?>
		<tr>
			<td><strong><?php echo $Lang->getText('SiteAdmin.UserList.Active') ?></strong> 
			(<?php echo '<a href="'. GFUrl::getUrl()->currentBaseURL('UserDelete',array('user_id'=>$user_id)) . '">' .Language::getSessText('SiteAdmin.UserList.Delete') .'</a>'; ?>)
			</td>
		</tr>
<?php
	} else if ($status == User::STATUS_PENDING_APPROVAL ) {
?>
		<tr>
			<td><strong><?php echo $Lang->getText('SiteAdmin.UserList.PendingApproval') ?></strong> 
			(<?php echo '<a href="'. GFUrl::getUrl()->currentBaseURL('PendingUserApproval') . '">' .Language::getSessText('SiteAdmin.UserList.Activate') .'</a>'; ?>)
			</td>
		</tr>
<?php
	} else {
?>
		<tr>
			<td><strong><?php echo $Lang->getText('SiteAdmin.UserList.Suspended') ?></strong> 
			(<?php echo '<a href="'. GFUrl::getUrl()->currentBaseURL('UserEditAction',array('_action'=>'activate','user_id'=>$user_id,'return_to'=>'UserBrowse')) . '">' .Language::getSessText('SiteAdmin.UserList.Activate'). '</a>'; ?>)
			</td>
		</tr>
<?php
	}
 /*
		<tr>
			<td><strong><?php echo $Lang->getText('User.StatusName'); ?></strong><br />
		<?php echo HTMLWidget::SelectBoxFromArrays(
		array(
			User::STATUS_ACTIVE ,
			User::STATUS_DELETED  ,
			User::STATUS_PENDING ,
			User::STATUS_SUSPENDED 
		),
		array(
			Language::getSessText('SiteAdmin.UserEdit.Active'),
			Language::getSessText('SiteAdmin.UserEdit.Deleted'),
			Language::getSessText('SiteAdmin.UserEdit.Pending'),
			Language::getSessText('SiteAdmin.UserEdit.Suspended')
		),
		'status', $status);?>
			</td>
		</tr>
*/
?>
		<tr>
			<td><strong><?php echo $Lang->getText('User.ConfirmHashName'); ?></strong><br />
			<?php echo $confirm_hash; ?></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('User.TitleName'); ?></strong><br />
			<?php echo $title; ?></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('User.FirstnameName'); ?></strong><br />
			<?php echo $firstname; ?></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('User.LastnameName'); ?></strong><br />
			<?php echo $lastname; ?></td>
		</tr>
    <?php if (GFConf::varExists('system.enableUdfEdit') 
    && (GFConf::get('system.enableUdfEdit') == 'users' || GFConf::get('system.enableUdfEdit') == 'on')) {
		$udf1Name = GFConf::get('system.udf1Name', $Lang->getText("User.Udf1Name"));
		$udf2Name = GFConf::get('system.udf2Name', $Lang->getText("User.Udf2Name"));
		$udf3Name = GFConf::get('system.udf3Name', $Lang->getText("User.Udf3Name"));
		$udf4Name = GFConf::get('system.udf4Name', $Lang->getText("User.Udf4Name"));
		$udf5Name = GFConf::get('system.udf5Name', $Lang->getText("User.Udf5Name"));
		$udf6Name = GFConf::get('system.udf6Name', $Lang->getText("User.Udf6Name"));

    ?>
    <tr>
      <td><strong><?php echo $udf1Name ?></strong><br />
      <input type="text" name="udf1" value="<?php echo $udf1; ?>"/></td>
    </tr>
    <tr>
      <td><strong><?php echo $udf2Name ?></strong><br />
      <input type="text" name="udf2" value="<?php echo $udf2; ?>"/></td>
    </tr>
    <tr>
      <td><strong><?php echo $udf3Name ?></strong><br />
      <input type="text" name="udf3" value="<?php echo $udf3; ?>"/></td>
    </tr>
    <tr>
      <td><strong><?php echo $udf4Name ?></strong><br />
      <input type="text" name="udf4" value="<?php echo $udf4; ?>"/></td>
    </tr>
    <tr>
      <td><strong><?php echo $udf5Name ?></strong><br />
      <input type="text" name="udf5" value="<?php echo $udf5; ?>"/></td>
    </tr>
    <tr>
      <td><strong><?php echo $udf6Name ?></strong><br />
      <input type="text" name="udf6" value="<?php echo $udf6; ?>"/></td>
    </tr>
    <?php } ?>
    <?php if ($can_unlock) { ?>
    <tr>
      <td><strong>Unlock user</strong><br />
      <input type="checkbox" name="unlock" <?php if ($unlock) echo "checked";?>/></td> 
    </tr>
    <?php } ?>
		<tr>
			<td><strong><?php echo $Lang->getText('User.UserProjects');?></strong>
<?php
// get the user projects
$c = new Criteria();
$c->add(UserProjectPeer::USER_ID,$user_id);
$user_projects = UserProjectPeer::doSelect($c);
?>
				<ul>
<?php
if (count($user_projects) > 0){
	foreach ($user_projects as $user_project) {
		$project = $user_project->getProject();
?>
					<li><?php echo '<a href="' . GFUrl::getUrl()->projectURL($project) . '" >' .  $project->getProjectName() . '</a>';?></li>
<?php
	}
} else {
?>
					<li><?php echo $Lang->getText('User.NoUserProjects');?></li>
<?php
}
?>
				</ul>
			</td>
		</tr>
		<tr>
			<td align="center">
				<?php echo HTMLWidget::button("submit","" .   $Lang->getText('submit.edit') . " ","submit","","")?><?php echo HTMLWidget::button("button","" .   $Lang->getText('Common.Back') . " ","cancel","","window.location = '" .   GFUrl::getUrl()->currentBaseURL('UserBrowse',array()) . "'; ")?>
			</td>
		</tr>
		<tr>
			<td><a href="<?php echo GFUrl::getUrl()->currentBaseURL('UserPasswordEdit', array('user_id' => $user_id));?>"><?php echo Language::getSessText('SiteAdmin.UserPassEditLink'); ?></a></td>
		</tr>
	</table>
</form>
<?php
$theme->footer($params);
?>
