<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id$
 * @author Tim Perdue tim@gforge.org
 * @date 2006-02-27
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

require_once('core/ProjectPeer.php');
require_once('html/HTMLWidget.php');

$session = Session::getSession();
$project = GFUrl::getUrl()->getProject();

$params = array('project' => $project);
ActionManager::notify('SAVE_PROJECT_SETTINGS', $params);

GFUrl::redirect($url->currentBaseURL('index'), array('feedback' => Language::getSessText('Feedback.SavedChanges')));

?>
