<?php
	$qty = (!isset($qty)) ? 2 : $qty;
	$crit = new Criteria();
	$crit->add(WallPostCommentPeer::WALL_POST_ID, $id);
	$crit->addDescendingOrderByColumn(WallPostCommentPeer::POST_DATE);
	if ($qty > 0) {
		$crit->setLimit($qty);
	}
	$item_comments_count = WallPostCommentPeer::doCount($crit);
	$item_comments = WallPostCommentPeer::doSelect($crit);
?>
<div id="comments_<?php echo $id; ?>">
	<?php (sizeof($item_comments) > 0) ? "<span>Comments:</span>" : ""; ?>
	<?php if ($qty != 0 && $item_comments_count > 2) { ?>
	<span class="viewall"><a href="javascript:;" onclick="viewComments(<?php echo $id; ?>, 0);"><< View all <?php echo $item_comments_count; ?> comments >></a></span>
	<?php } ?>
	<?php 
		$url = GFUrl::getUrl();
		foreach ($item_comments as $comment) {
			$user_comment = UserPeer::retrieveByPk($comment->getPostedBy());
			if (is_object($user_comment)) {
				require("wwwlib/project/messagewall/forms/MessageWallComment-tpl.php");
			}
		}
	?>
</div>
