alter table associations rename to association;
CREATE RULE trackeritem_association_delete_rule AS ON DELETE TO tracker_item
	DO DELETE FROM association WHERE (section='trackeritem' AND ref_id=OLD.tracker_item_id)
	OR (to_section='trackeritem' AND to_ref_id=OLD.tracker_item_id);
CREATE RULE forummessage_association_delete_rule AS ON DELETE TO forum_message
	DO DELETE FROM association WHERE (section='forummessage' AND ref_id=OLD.forum_message_id)
	OR (to_section='forummessage' AND to_ref_id=OLD.forum_message_id);
CREATE RULE docmanfile_association_delete_rule AS ON DELETE TO docman_file
	DO DELETE FROM association WHERE (section='docmanfile' AND ref_id=OLD.docman_file_id)
	OR (to_section='docmanfile' AND to_ref_id=OLD.docman_file_id);
CREATE RULE wikipage_association_delete_rule AS ON DELETE TO wiki_page
	DO DELETE FROM association WHERE (section='wikipage' AND ref_id=OLD.wiki_page_id)
	OR (to_section='wikipage' AND to_ref_id=OLD.wiki_page_id);
CREATE RULE frsrelease_association_delete_rule AS ON DELETE TO frs_release
	DO DELETE FROM association WHERE (section='frsrelease' AND ref_id=OLD.frs_release_id)
	OR (to_section='frsrelease' AND to_ref_id=OLD.frs_release_id);
INSERT INTO tracker_time_code (time_name) values ('Default');
CREATE INDEX project_rootpath ON project(root_path);
ALTER TABLE association ADD COLUMN comment TEXT;
