--Activate all user plugins on user activation
CREATE OR REPLACE RULE activate_user_plugins AS ON UPDATE TO "user" WHERE OLD.status=0
AND NEW.status=1 DO (
	INSERT INTO user_plugin SELECT NEW.user_id,plugin_id FROM plugin
	WHERE plugin_type='user' AND plugin_id NOT IN (SELECT plugin_id FROM user_plugin WHERE user_id=NEW.user_id)
);

CREATE OR REPLACE RULE create_user_calendar AS ON UPDATE TO "user" WHERE OLD.status=0
AND NEW.status=1 DO (
	INSERT INTO calendar(ref_id,section,calendar_name,is_public,description)
	SELECT NEW.user_id, 'user', 'My calendar', false, 'User calendar' 
	WHERE NEW.user_id NOT IN (SELECT ref_id FROM calendar WHERE section='user')
);

