<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
//
// This code creates a new DocmanFile and saves it to the 
// database
//
require_once('plugins/docman/lib/DocmanFile.php');
require_once('plugins/docman/lib/DocmanFilePeer.php');
require_once('exceptions/PermissionDeniedException.php');
require_once('core/Language.php');
require_once('plugins/docman/lib/FastJSON.php');

$Lang = Language::getSessLang();

$DocmanFile = DocmanFilePeer::retrieveByPk($_GET['file_id']);
if (is_object($DocmanFile) && $DocmanFile->userCanDelete()) {
	$DocmanFile->delete();

	header('HTTP/1.1 200');
	$arr_feedback = array();
	echo FastJSON::encode($arr_feedback);
	exit;
} else {
	header('HTTP/1.1 401');
	$arr_feedback = array();
	$arr_feedback["error_message"] = "Permission denied";
	echo FastJSON::encode($arr_feedback);
	exit;
}

?>
