<!-- START FILE LOCK DIALOG -->
<div id="file-lock-dialog-template" style="display: none;" >
	<p>
		<h4>[%= file_name %]</h4>
	</p>
</div>
<!-- END FILE LOCK DIALOG -->

<!-- START FILE LOCK CONFIRM DIALOG -->
<div id="file-lock-dialog-template-confirm" style="display: none;" title="File Lock Confirmation">
	<p>
		[% if (status) { %]
		<h4>[%= file_name %] has been locked</h4>
		[% } else { %]
		<h4>[%= file_name %] has NOT been locked</h4>
		[% } %]
	</p>
</div>
<!-- END FILE LOCK CONFIRM DIALOG -->

<!-- START FILE UNLOCK DIALOG -->
<div id="file-unlock-dialog-template-confirm" style="display: none;" title="File Lock Confirmation">
	<p>
		[% if (status) { %]
		<h4>[%= file_name %] has been unlocked</h4>
		[% } else { %]
		<h4>[%= file_name %] has NOT been locked</h4>
		[% } %]
	</p>
</div>
<!-- END FILE UNLOCK DIALOG -->

<!-- START FILE file-delete-dialog-template DIALOG -->
<div id="file-delete-dialog-template" style="display: none;" >
	<p>
		<h4>[%= file_name %]</h4>
	</p>
	<br>
	[% if (multassoc) { %]
		<p>
			<input type="radio" value="1" name="delete_selection" id="delete_selection1" checked onclick="" /><label>Delete File from this location only</label>
		<p>
		<br>
		<p>
			<input type="radio" value="2" name="delete_selection" id="delete_selection2" onclick="" /><label>Delete File from ALL locations.<br>[warning] This operation means the file will be hard deleted.</label>
		<p>	
	[% } else { %]
		<p>
			Please confirm you want to delete this file.
		</p>	
	[% } %]

</div>
<!-- START FILE DELETE DIALOG -->

<!-- START FILE DELETE CONFIRM DIALOG -->
<div id="file-delete-dialog-template-confirm" style="display: none;" >
	<p>
		<strong>[%= file_name %]</strong> has [% if (!status) { %]not[% } %] been deleted.
	</p>
</div>
<!-- END FILE DELETE CONFIRM DIALOG -->

<!-- START FILE DELETE CONFIRM DIALOG -->
<div id="file-monitor-dialog-template" style="display: none;">
	<p>
		<h4>[%= folder_name %]</h4>
	</p>
	<form id="form-file-monitor" action="" method="POST">	
		<strong>Monitor this folder</strong>
	</form>
</div>
<!-- END FILE DELETE CONFIRM DIALOG -->


<div id="file-add-inline-dialog-template" style="display: none;">
	<form id="form-file-add-inline">
		<table>
			<tr id="row2">
				<td><strong>Filename:</strong><br />
				<input size="40" name="filename" value="" id="add_inline_filename" /></td>
			</tr>
			<tr>
				<td>
					<span style="float: left;"><strong><?php echo Language::getSessText('Docman.DescriptionName'); ?>:</strong><br />
						<textarea rows="4" cols="40" name="description" id="add_inline_description"></textarea>
					</span>
					<span style="float: right;"><strong><?php echo Language::getSessText('Docman.ChangesName'); ?>:</strong><br />
						<textarea rows="4" cols="40" name="changes" id="add_inline_changes"></textarea>
					</span>
				</td>
							
			</tr>
			<tr id="row3">
				<td><strong>File contents:&nbsp;*</strong><br />
					<div><textarea id='file_inline_contents'></textarea></div>
				</td>
			</tr>	
		</table>
	</form>
</div>


<!-- START FILE INLINE ADD CONFIRM DIALOG -->
<div id="file-inline-add-dialog-template-confirm" style="display: none;" >
	[% if (error_message != '') { %]
	<span class="feedback">[%= error_message %]</span><br>
	[% } %]
	<br>
	<p>
		The file has[% if (!status) { %] not[% } %] been saved.</strong>
	</p>
</div>
<!-- END FILE INLINE ADD CONFIRM DIALOG -->

<!-- START FILE INLINE EDIT CONFIRM DIALOG -->
<div id="file-inline-edit-dialog-template-confirm" style="display: none;" >
	<p>
		<strong>[%= file_name %]</strong> edit has [% if (!status) { %][%= 'not' %][% } %] been saved
	</p>
</div>
<!-- END FILE INLINE EDIT CONFIRM DIALOG -->

<!-- START FILE MONITOR CONFIRM DIALOG -->
<div id="file-monitor-dialog-template-confirm" style="display: none;" >
	[% if (status) { %]
	<p>
		<strong>[%= file_name %]</strong> is now [% if (!monitored) { %][%= 'not' %][% } %] monitored
	</p>
	[% } else { %]
	<p>
		Failed changing monitoring status for file: <strong>[%= file_name %]</strong>
	</p>	
	[% } %]
</div>
<!-- END FILE MONITOR CONFIRM DIALOG -->

<!-- START WHOS IS MONITORING DIALOG -->
<div id="file-whos-monitoring-dialog-template-confirm" style="display: none;" >
	<p>
		<strong>[%= file_name %]</strong>
	</p>
	<br /><br />
	<div>
		[%= monitors %]
	</div>
</div>
<!-- END WHOS IS MONITORING DIALOG -->

<div id="file-move-dialog-template" style="display: none;">
	<p>
		<strong>Set file [%= file_name %]</strong> as child of folder <strong>[%= parent_folder_name %]</strong>
	</p>
</div>

<!-- START FILE MOVE CONFIRM DIALOG -->
<div id="file-move-dialog-template-confirm" style="display: none;" >
	<p>
		<strong>[%= file_name %]</strong> has been moved
	</p>
	<br>
	<p>
		Click [%= link %] to undo the move operation.
	</p>
</div>

<div id="file-move-error-dialog-template" style="display: none;" >
	<p>
		The file has [% if (!status) { %][%= 'not' %][% } %] been moved
	</p>
</div>

<!-- END FILE MOVE CONFIRM DIALOG -->

<div id="file-view-details-dialog-template" style="display: none;">
	[%= details %]
</div>

<?php
$res=ActionManager::notify('ASSOCIATION_SECTION',$params);
$sections=array();
foreach ($res as $r) {
	$f=$r->getResult();
	$sections[$f[0]]=$f[1];
}
$sectionbox=HTMLWidget::selectBoxFromAssoc ($sections,'to_section','docmanfile',false,false,null,false,null);
?>

<div id="file-add-association-dialog-template" style="display: none;">
	<h4>[%= file_name %]</h4>
	<form id="form-file-add-association-[%= 'rendered' %]">
	<input type="hidden" name="from_section" value="docmanfile" />
	<input type="hidden" name="from_ref_id" value="[%= file_id %]" />
	<input type="hidden" name="return_to" value="" />
	<input type="hidden" name="ajax" value="1" />
		<table border="0">
			<tr>
				<td><strong><?php echo $Lang->getText('Association.SectionName'); ?></strong><br />
				<?php echo $sectionbox; ?></td>
			</tr>
			<tr>
				<td><strong><?php echo $Lang->getText('Association.RefIdName'); ?></strong><br />
				<input type="text" name="to_ref_id" value="" size="6" maxlength="10" /></td>
			</tr>
			<tr>
				<td><strong><?php echo $Lang->getText('Association.CommentName'); ?></strong><br />
				<input type="text" name="comment" value=""  /></td>
			</tr>
		</table>
	</form>	
</div>


<div id="file-delete-association-dialog-template-confirm" style="display: none;">
	[% if (error_message != '') { %]
	<span class="feedback">[%= error_message %]</span><br>
	[% } %]
	<br>
	[% if (status) { %]
	<strong>Succesfully deleted association</strong>
	[% } else { %]
	<strong>Error deleting association</strong>
	[% } %]
</div>

<div id="file-add-association-dialog-template-confirm" style="display: none;">
	[% if (error_message != '') { %]
	<span class="feedback">[%= error_message %]</span><br>
	[% } %]
	<br>
	[% if (status) { %]
	Succesfully added association to item <strong>[%= file_name %]</strong>
	[% } else { %]
	Error adding association to item <strong>[%= file_name %]</strong>
	[% } %]
</div>

<div id="file-delete-association-dialog-template" style="display: none;">
	 <p><?php echo $Lang->getText('AssociationDeleteForm.Confirm') . '?';?></p>
</div>


<div id="file-organize-dialog-template" style="display: none;">
	<p>
		<strong>[%= file_name %]</strong>
	</p>
	<br>
	<p>
		Assign File to Folders
	</p>
	<br>
	<div>
		<div id="tabs-1">
		[%= tree %]
		</div>
	</div>
</div>


<!-- START FILE VERSION APPROVAL ERROR -->
<div id="fileversion-approval-error-dialog-template" style="display: none;" >
	<p>
		<strong>There was an error approving your file version.</strong>
	</p>
</div>
<!-- END FILE VERSION APPROVAL ERROR -->

<!-- START FILE VERSION DELETE DIALOG -->
<div id="file-version-delete-template" style="display: none;" >
	<p>
		Delete version <strong>#[%= file_version_id %]</strong> for file <strong>[%= file_name %]</strong>
	</p>
	<br>
	[% if (is_last_version) { %]
		<p>
			Since is the only version for this file, deleting it will remove the file completely.
		</p>
	[% } %]

</div>
<!-- START FILE VERSION DELETE DIALOG -->

<div id="generic-confirm-template" style="display: none;" >
	<p>
		[%= message %]
	</p>
</div>

<div id="file-rename-dialog-template" style="display: none;">
	<form id="form-file-rename-[%= 'rendered' %]" action="" method="POST">
		<input type="hidden" name="file_id" value="[%= file_id %]" />
		<table border="0" style="border: 0px;">
			<tr>
				<td><strong>File Name</strong>
					<input type="text" name="file_name" value="[%= file_name %]">
				</td>
			</tr>
		</table>
	</form>
</div>

<!-- START FILE RENAME CONFIRM DIALOG -->
<div id="file-rename-dialog-template-confirm" style="display: none;" >
	[% if (error_message != '') { %]
	<span class="feedback">[%= error_message %]</span><br>
	[% } %]
	<br>
	<p>
		The file has[% if (!status) { %] not[% } %] been renamed.</strong>
	</p>
</div>
<!-- END FILE RENRAME CONFIRM DIALOG -->


<div id="file-edit-file-description-template" style="display: none;">
		<h4>[%= file_name %]</h4>
		<form id="form-edit-file-description-[%= 'rendered' %]">
	<input type="hidden" name="file_id" value="[%= file_id %]" />
	<input type="hidden" name="file_name" value="[%= file_name %]" />
	<table border="0">
		<tr>
			<td><strong>Description</strong><br />
				<textarea rows="4" cols="40" name="description">[%= description %]</textarea>
			</td>
		</tr>
	</table>
		</form>	
</div>

<div id="file-edit-file-changes-template" style="display: none;">
		<h4>Version number: [%= version_number %] ([%= version_date %])</h4>
		<form id="form-edit-file-changes-[%= 'rendered' %]">
	<input type="hidden" name="file_version_id" value="[%= file_version_id %]" />
	<table border="0">
		<tr>
			<td><strong>Changes</strong><br />
				<textarea rows="4" cols="40" name="changes">[%= changes %]</textarea>
			</td>
		</tr>
	</table>
		</form>	
</div>

<div id="file-edit-file-changes-template-confirm" style="display: none;" >
	<p>
		There was an error editing the changes for file version <strong>[%= version_number %] ([%= version_date %])</strong>
	</p>
	<p>
		[%= error_message %]
	</p>
</div>

<div id="file-edit-file-description-template-confirm" style="display: none;" >
	<p>
		There was an error editing the document's description</strong>
	</p>
	<p>
		[%= error_message %]
	</p>
</div>

<div id="file-unprivileged-upload-template-confirm" style="display: none;" >
	<p>
		Your upload was successful and it was placed in the pending queue, awaiting for approval.
	</p>
</div>
