<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id$
 * @author Tim Perdue tim@gforge.org
 * @date 2006-02-27
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

echo $theme->header($params);
?>

<p>
	<strong><?php echo $Lang->getText('ForumMessage.AddNew'); ?></strong>
</p>
<form action="<?php echo GFUrl::getUrl()->currentBaseURL('ForumMessageAddAction') ?>" method="POST">
	<table border="0">
		<tr>
		    <td><strong><?php echo $Lang->getText('ForumMessage.ForumThreadIdName'); ?></strong><span class="required">*</span><br />
		    <input type="text" name="forum_thread_id" value="<?php echo $forum_thread_id; ?>"  /></td>
		</tr>
		<tr>
		    <td><strong><?php echo $Lang->getText('ForumMessage.CreatedByName'); ?></strong><span class="required">*</span><br />
		    <input type="text" name="created_by" value="<?php echo $created_by; ?>"  /></td>
		</tr>
		<tr>
		    <td><strong><?php echo $Lang->getText('ForumMessage.SubjectName'); ?></strong><span class="required">*</span><br />
		    <input type="text" name="subject" value="<?php echo $subject; ?>"  /></td>
		</tr>
		<tr>
		    <td><strong><?php echo $Lang->getText('ForumMessage.BodyName'); ?></strong><span class="required">*</span><br />
		    <input type="text" name="body" value="<?php echo $body; ?>"  /></td>
		</tr>
		<tr>
		    <td><strong><?php echo $Lang->getText('ForumMessage.PostDateName'); ?></strong><span class="required">*</span><br />
		    <input type="text" name="post_date" value="<?php echo $post_date; ?>"  /></td>
		</tr>
		<tr>
		<td>
			<?php echo HTMLWidget::button("submit","" .   $Lang->getText('submit.add') . " ","submit","","")?>
			<?php echo HTMLWidget::button("button","" .   $Lang->getText('Common.Cancel') . " ","cancel","","window.location = '" .   $this->buildForumURL(array('_forum_action' => 'ForumMessageBrowse', 'action' => 'ForumBrowse', 'forum_id' => $forum_id, 'thread_id' => $thread_id)) . "'; ")?>
		</td>
		</tr>
	</table>
</form>

<?php
echo $theme->footer($params);
?>