<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
//
// This code shows a form for ScmModule
//
require_once('GFUrl.php');

$session = Session::getSession();
$Lang = $session->getLanguage();

$project = GFUrl::getUrl()->getProject();

if (!$project->getPermission()->isAdmin()) {
	throw new PermissionDeniedException();
}

$params = array(
		'project' => $project,
		'action' => isset($action) ? $action : '',
		'feedback'=>isset($_REQUEST['feedback']) ? $_REQUEST['feedback'] : (isset($feedback) ? $feedback : ''),
		'title' => $Lang->getText('ScmModule.AddNewPageTitle')
		);

$module = isset($_REQUEST['module']) ? $_REQUEST['module'] : '';

include('forms/CodeSearchModuleAdd-tpl.php');

?>
