<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id$
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

//
// This code shows a form for editing ScmModule
//
require_once('plugins/scm/lib/ScmModulePeer.php');
require_once('plugins/scm/lib/ScmModule.php');
require_once('exceptions/PermissionDeniedException.php');

$ScmModule = ScmModulePeer::retrieveByPk($_REQUEST['id']);
if (!is_object($ScmModule) || !$ScmModule->userCanUpdate()) {
	throw new PermissionDeniedException();
}
$obj = $ScmModule;

$path = ( (isset($_POST) && isset($_POST['path'])) ? htmlspecialchars($_POST['path']) : $obj->getPath() );
$params['feedback'] = isset($feedback) ? $feedback : '';

include ('forms/ScmModuleEdit-tpl.php');

?>