<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

echo $theme->header($params);
?>

<p>
	<strong><?php echo $Lang->getText('ScmServer.AddNew'); ?></strong>
</p>
<form action="<?php echo GFUrl::getUrl()->currentBaseURL('ScmServerAddAction') ?>" method="POST">
	<table border="0">
		<tr>
			<td><strong><?php echo $Lang->getText('ScmServer.ScmTypeName'); ?></strong>
			<select name="scm_type">			
		<?php
			// Get the list of possible server types from plugins
			$prs = ActionManager::notify('GET_SCM_SERVER_TYPES');
			foreach ($prs as $pr) {
				$server_type = $pr->getResult();
				echo '<option value="'.$server_type.'">'.$server_type.'</option>';
			}
			
		?>
			</select></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('ScmServer.HostnameName'); ?></strong><br />
			<input type="text" name="hostname" value="<?php echo $hostname; ?>"  /></td>
		</tr>
		<tr>
			<td>
				<?php echo HTMLWidget::button("submit","" .   $Lang->getText('submit.add') . " ","submit","","")?>
				<?php echo HTMLWidget::button("button","" .   $Lang->getText('Common.Cancel') . " ","cancel","","javascript:history.go(-1);")?>
			</td>
		</tr>
	</table>
</form>

<?php
echo $theme->footer($params);
?>