<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
//
// This code shows a form for TrackerTimeCode
//
require_once('plugins/tracker/lib/TrackerTimeCodePeer.php');
require_once('plugins/tracker/lib/TrackerTimeCode.php');
require_once('GFUrl.php');

$session = Session::getSession();
$Lang = $session->getLanguage();

require_once('lib/html/templates/SiteAdminTemplate.php');
$theme = new SiteAdminTemplate();

$params = array(
		'action' => isset($action) ? $action : '',
		'feedback' => isset($_REQUEST['feedback']) ? $_REQUEST['feedback'] : (isset($feedback) ? $feedback : ''),
		'title' => $Lang->getText('TrackerTimeCode.AddNewPageTitle')
		);

$time_name=((isset($_POST['time_name'])) ? htmlspecialchars($_POST['time_name']) : '' );

include('forms/TrackerTimeCodeAdd-tpl.php');

?>