<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
//
// This code lists TrackerTimeCode
//
require_once('plugins/tracker/lib/TrackerTimeCodePeer.php');
require_once('plugins/tracker/lib/TrackerTimeCode.php');

$session = Session::getSession();
$Lang = $session->getLanguage();

require_once('lib/html/templates/SiteAdminTemplate.php');
$theme = new SiteAdminTemplate();

$params = array(
		'action' => isset($action) ? $action : '',
		'feedback' => isset($_REQUEST['feedback']) ? $_REQUEST['feedback'] : (isset($feedback) ? $feedback : ''),
		'title' => $Lang->getText('TrackerTimeCode.BrowsePageTitle')
		);
$theme->header($params);


// Retrieve the objects array
$crit = new Criteria();
$arr = TrackerTimeCodePeer::doSelect($crit);


$theader = array();

$theader[] = $Lang->getText('TrackerTimeCode.TimeNameName');
$theader[] = $Lang->getText('Edit');

echo $theme->tableTop($theader);

if (count($arr) < 1) {
	echo $theme->tableFullRow($Lang->getText('TrackerTimeCode.NoneFound'));
} else {
	foreach ($arr as $item) {
		$trow = array();
		$trow[]=$item->getTimeName();
		$trow[]='<a href="'. GFUrl::getUrl()->currentBaseUrl('TrackerTimeCodeEdit').'&amp;tracker_time_code_id='.$item->getTrackerTimeCodeID().'">'. $Lang->getText('Edit') .'</a>';

		echo $theme->tableRow($trow, array(), false);
	}

}
echo $theme->tableBottom( array('<a href="'. GFUrl::getUrl()->currentBaseUrl('TrackerTimeCodeAdd').'">Add New Time Code</a>') );


$theme->footer($params);
?>
