<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

echo $theme->header($params);
?>

<p>
	<strong><?php echo $Lang->getText('TrackerExtraFieldElementTransition.Description'); ?></strong>
</p>
<form action="<?php echo GFUrl::getUrl()->currentBaseURL('TrackerExtraFieldElementTransitionAddAction') ?>" method="post">
<input type="hidden" name="element_id" value="<?php echo $_REQUEST['element_id']; ?>" />
	<table border="0">
		<tr>
			<td valign="top"><strong><?php echo $Lang->getText('TrackerExtraFieldElementTransition.FromElementIdName'); ?></strong><br />
			<?php echo $TrackerExtraFieldElement->getElementName(); ?></td>
			<td valign="top"><strong><?php echo $Lang->getText('TrackerExtraFieldElementTransition.ToElementIdName'); ?></strong><span class="required">*</span><br />
			<?php echo HTMLWidget::select('to_element_id',$toElements,0,false,false); ?></td>
			<td valign="top"><strong><?php echo $Lang->getText('TrackerExtraFieldElementTransition.Roles'); ?></strong><span class="required">*</span><br />
			<?php echo HTMLWidget::multiselect('role_id[]',$project->getRoles(),array(),null,false,null,false,null) ?></td>
			<td><strong><?php echo $Lang->getText('TrackerExtraFieldElementTransition.Fields'); ?></strong><span class="required">*</span><br />
			<?php echo HTMLWidget::multiselect('tracker_extra_field_id[]',$Tracker->getTrackerExtraFields(),array(),null,false,null,false,null) ?></td>
		</tr>
		<tr>
			<td valign="top"><strong><?php echo $Lang->getText('TrackerExtraFieldElementTransition.Notify'); ?></strong><br />
			<?php echo HTMLWidget::multiselect('notify_role_id[]',$project->getRoles(),array(),null,false,null,false,null) ?></td>
			<td colspan="3"><strong><?php echo $Lang->getText('TrackerExtraFieldElementTransition.NotificationMessage'); ?></strong><br /><textarea name="notification_message" rows="10" cols="60"></textarea></td>
		</tr>
		<tr>
			<td colspan="4" valign="top"><strong><?php echo $Lang->getText('TrackerExtraFieldElementTransition.Reassign'); ?></strong><br />
			<?php echo HTMLWidget::multiselect('reassign_to_role_id[]',$project->getRoles(),array(),null,false,null,false,null) ?></td>
		</tr>
<?php /*		<tr>
			<td valign="top"><strong><?php echo $Lang->getText('TrackerExtraFieldElementTransition.ChangeFieldName'); ?></strong><span class="required">*</span><br />
			<?php echo HTMLWidget::select('change_extra_field_id',$toElements,0,false,false); ?></td>
			<td colspan="3" valign="top"><strong><?php echo $Lang->getText('TrackerExtraFieldElementTransition.ChangeToElementName'); ?></strong><span class="required">*</span><br />
			<?php echo HTMLWidget::select('change_to_element_id',$toElements,0,false,false); ?></td>
		</tr> */ ?>
		<tr>
			<td colspan="4">
				<?php echo HTMLWidget::button("submit","" .   $Lang->getText('submit.add') . " ","submit","","")?>
				<?php echo HTMLWidget::button("button","" .   $Lang->getText('Common.Cancel') . " ","cancel","","window.location = '" .   GFUrl::getUrl()->projectURL(GFUrl::getUrl()->getProject(),'TrackerExtraFieldElementTransitionBrowse','tracker','admin',array('element_id' => $element_id)) . "'; ")?>
			</td>
		</tr>
	</table>
</form>

<?php
echo $theme->footer($params);
?>
