<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

switch ($action) {
	case 'TrackerAdd': {
		include(dirname(__FILE__).'/TrackerAdd.php');
		break;
	}
	case 'TrackerAddAction': {
		include(dirname(__FILE__).'/TrackerAddAction.php');
		break;
	}
	case 'TrackerEdit': {
		include(dirname(__FILE__).'/TrackerEdit.php');
		break;
	}
	case 'TrackerEditAction': {
		include(dirname(__FILE__).'/TrackerEditAction.php');
		break;
	}
	case 'TrackerCommitEdit': {
		include(dirname(__FILE__).'/TrackerCommitEdit.php');
		break;
	}
	case 'TrackerCommitEditAction': {
		include(dirname(__FILE__).'/TrackerCommitEditAction.php');
		break;
	}
	case 'TrackerDelete': {
		include(dirname(__FILE__).'/TrackerDelete.php');
		break;
	}
	case 'TrackerDeleteAction': {
		include(dirname(__FILE__).'/TrackerDeleteAction.php');
		break;
	}
	case 'TrackerCannedResponseAdd': {
		include(dirname(__FILE__).'/TrackerCannedResponseAdd.php');
		break;
	}
	case 'TrackerCannedResponseAddAction': {
		include(dirname(__FILE__).'/TrackerCannedResponseAddAction.php');
		break;
	}
	case 'TrackerCannedResponseBrowse': {
		include(dirname(__FILE__).'/TrackerCannedResponseBrowse.php');
		break;
	}
	case 'TrackerCannedResponseEdit': {
		include(dirname(__FILE__).'/TrackerCannedResponseEdit.php');
		break;
	}
	case 'TrackerCannedResponseEditAction': {
		include(dirname(__FILE__).'/TrackerCannedResponseEditAction.php');
		break;
	}
	case 'TrackerCannedResponseDelete': {
		include(dirname(__FILE__).'/TrackerCannedResponseDelete.php');
		break;
	}
	case 'TrackerCannedResponseDeleteAction': {
		include(dirname(__FILE__).'/TrackerCannedResponseDeleteAction.php');
		break;
	}
	case 'TrackerExtraFieldAdd': {
		include(dirname(__FILE__).'/TrackerExtraFieldAdd.php');
		break;
	}
	case 'TrackerExtraFieldAddAction': {
		include(dirname(__FILE__).'/TrackerExtraFieldAddAction.php');
		break;
	}
	case 'TrackerExtraFieldBrowse': {
		include(dirname(__FILE__).'/TrackerExtraFieldBrowse.php');
		break;
	}
	case 'TrackerExtraFieldEdit': {
		include(dirname(__FILE__).'/TrackerExtraFieldEdit.php');
		break;
	}
	case 'TrackerExtraFieldEditAction': {
		include(dirname(__FILE__).'/TrackerExtraFieldEditAction.php');
		break;
	}
	case 'TrackerExtraFieldBrowseAction': {
		include(dirname(__FILE__).'/TrackerExtraFieldBrowseAction.php');
		break;
	}
	case 'TrackerExtraFieldDelete': {
		include(dirname(__FILE__).'/TrackerExtraFieldDelete.php');
		break;
	}
	case 'TrackerExtraFieldDeleteAction': {
		include(dirname(__FILE__).'/TrackerExtraFieldDeleteAction.php');
		break;
	}
	case 'TrackerExtraFieldElementAdd': {
		include(dirname(__FILE__).'/TrackerExtraFieldElementAdd.php');
		break;
	}
	case 'TrackerExtraFieldElementAddAction': {
		include(dirname(__FILE__).'/TrackerExtraFieldElementAddAction.php');
		break;
	}
	case 'TrackerExtraFieldElementEdit': {
		include(dirname(__FILE__).'/TrackerExtraFieldElementEdit.php');
		break;
	}
	case 'TrackerExtraFieldElementEditAction': {
		include(dirname(__FILE__).'/TrackerExtraFieldElementEditAction.php');
		break;
	}
	case 'TrackerExtraFieldElementDelete': {
		include(dirname(__FILE__).'/TrackerExtraFieldElementDelete.php');
		break;
	}
	case 'TrackerExtraFieldElementDeleteAction': {
		include(dirname(__FILE__).'/TrackerExtraFieldElementDeleteAction.php');
		break;
	}
	case 'TrackerTimeCodeAdd': {
		include(dirname(__FILE__).'/TrackerTimeCodeAdd.php');
		break;
	}
	case 'TrackerTimeCodeAddAction': {
		include(dirname(__FILE__).'/TrackerTimeCodeAddAction.php');
		break;
	}
	case 'TrackerTimeCodeBrowse': {
		include(dirname(__FILE__).'/TrackerTimeCodeBrowse.php');
		break;
	}
	case 'TrackerTimeCodeEdit': {
		include(dirname(__FILE__).'/TrackerTimeCodeEdit.php');
		break;
	}
	case 'TrackerTimeCodeEditAction': {
		include(dirname(__FILE__).'/TrackerTimeCodeEditAction.php');
		break;
	}
	case 'TrackerTimeCodeDelete': {
		include(dirname(__FILE__).'/TrackerTimeCodeDelete.php');
		break;
	}
	case 'TrackerTimeCodeDeleteAction': {
		include(dirname(__FILE__).'/TrackerTimeCodeDeleteAction.php');
		break;
	}
	default: {
		$Project = GFUrl::getUrl()->getProject();
		GFUrl::getUrl()->redirect(GFUrl::getFullURL(GFUrl::getUrl()->projectURL($Project, '', 'tracker','',array())));
		break;
	}
	case 'TrackerExtraFieldElementTransitionAdd': {
		include(dirname(__FILE__).'/TrackerExtraFieldElementTransitionAdd.php');
		break;
	}
	case 'TrackerExtraFieldElementTransitionAddAction': {
		include(dirname(__FILE__).'/TrackerExtraFieldElementTransitionAddAction.php');
		break;
	}
	case 'TrackerExtraFieldElementTransitionBrowse': {
		include(dirname(__FILE__).'/TrackerExtraFieldElementTransitionBrowse.php');
		break;
	}
	case 'TrackerExtraFieldElementTransitionEdit': {
		include(dirname(__FILE__).'/TrackerExtraFieldElementTransitionEdit.php');
		break;
	}
	case 'TrackerExtraFieldElementTransitionEditAction': {
		include(dirname(__FILE__).'/TrackerExtraFieldElementTransitionEditAction.php');
		break;
	}
	case 'TrackerExtraFieldElementTransitionDelete': {
		include(dirname(__FILE__).'/TrackerExtraFieldElementTransitionDelete.php');
		break;
	}
	case 'TrackerExtraFieldElementTransitionDeleteAction': {
		include(dirname(__FILE__).'/TrackerExtraFieldElementTransitionDeleteAction.php');
		break;
	}
	case 'WorkflowMatrix': {
		include(dirname(__FILE__).'/WorkflowMatrix.php');
		break;
	}
	case 'TrackerTransitionScriptBrowse': {
		include(dirname(__FILE__).'/TrackerTransitionScriptBrowse.php');
		break;
	}
	case 'TrackerTransitionScriptForm': {
		include(dirname(__FILE__).'/TrackerTransitionScriptForm.php');
		break;
	}
	case 'TrackerTransitionScriptFormAction': {
		include(dirname(__FILE__).'/TrackerTransitionScriptFormAction.php');
		break;
	}
	case 'TrackerTransitionScriptDelete': {
		include(dirname(__FILE__).'/TrackerTransitionScriptDelete.php');
		break;
	}
	case 'TrackerTransitionScriptDeleteAction': {
		include(dirname(__FILE__).'/TrackerTransitionScriptDeleteAction.php');
		break;
	}
	case 'WorkflowMatrixAction': {
		include(dirname(__FILE__).'/WorkflowMatrixAction.php');
		break;
	}
	case 'TrackerItemMessageEdit': {
		include(dirname(__FILE__).'/TrackerItemMessageEdit.php');
		break;
	}
	case 'TrackerItemMessageEditAction': {
		include(dirname(__FILE__).'/TrackerItemMessageEditAction.php');
		break;
	}
	case 'TrackerItemMessageDelete': {
		include(dirname(__FILE__).'/TrackerItemMessageDelete.php');
		break;
	}
	case 'TrackerItemMessageDeleteAction': {
		include(dirname(__FILE__).'/TrackerItemMessageDeleteAction.php');
		break;
	}	
}

?>
