<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
//
// This code shows a form for News
//
require_once('plugins/news/lib/NewsPeer.php');
require_once('plugins/news/lib/News.php');
require_once('GFUrl.php');
require_once('external/fckeditor/fckeditor.php');
require_once('html/GFCKEditor.php');

$session = Session::getSession();
$Lang = $session->getLanguage();

if (isset($_GET['return_to'])) {
	$return_to = Validator::sanitizeString($_GET['return_to']);
} else {
	$return_to = "";
}

require_once('plugins/userblog/lib/html/UserblogUserTemplate.php');
$theme = new UserblogUserTemplate();

$user = $session->getUser();
//$News = $NewsPeer::retrieveByPk($_GET['id']);

$params = array(
		'user' => $user,
	//	'News' => $News,
		'action' => isset($action) ? $action : '',
		'feedback' => isset($_REQUEST['feedback']) ? $_REQUEST['feedback'] : (isset($feedback) ? $feedback : ''),
		'title' => $Lang->getText('Userblog.AddPostPageTitle')
		);


$subject=((isset($_POST['subject'])) ? htmlspecialchars($_POST['subject']) : '' );
$content=((isset($_POST['content'])) ? htmlspecialchars($_POST['content']) : '' );

$CKEditor = new GFCKEditor(GFCKEditor::FULL);
$CKEditor->config['width'] = 700;
$CKEditor->config['height'] = 500;
$CKEditor->setConnectorURLs($user->getUserId());
/*
$oFCKeditor = new FCKeditor('content', "") ;
$oFCKeditor->BasePath = GFUrl::getUrl()->buildURL('/fckeditor/');
$oFCKeditor->Width = "700";
$oFCKeditor->Height = "500";
$oFCKeditor->ToolbarSet = "GForge";
$oFCKeditor->setConnectorURLs($user->getUserId());*/

include('forms/UserblogAdd-tpl.php');

?>