<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id$
 * @author Tim Perdue tim@gforge.org
 * @date 2006-02-27
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

echo $theme->header($params);
?>
<style type="text/css">
     #newscontainer { float: left; background: url('images/example-7.gif') bottom center no-repeat; padding-bottom: 1px; }
     #newsinner { float: left; overflow: hidden; }
     #newsinner div { float: left; background: #fff; border: 0px solid #000; width: 600px; margin-right: 10px; margin-bottom: -1000px; padding-bottom: 1000px; }
     #newsinner .newscol2 { background: #eee; margin-right: 0; width: 200px; }
     .clear { clear: both; padding-top: 10px; }
</style>
<div id="hidden_form" style="display: none">
	<?php echo $form; ?>
</div>
<script type="text/javascript">
var cur_news_id = <?php echo (isset($post_id) && $post_id ? $post_id : 0); ?>;
var cur_thread_id = <?php echo (isset($thread_id) ? $thread_id : 0); ?>;
var cur_message_id = <?php echo (isset($message_id) ? $message_id : 0); ?>;
var cur_forum_action = "<?php echo (isset($forum_action) ? $forum_action : ""); ?>";
var cur_form = document.getElementById("hidden_form").innerHTML;
var cur_feedback = "<?php echo $feedback; ?>";
document.getElementById("hidden_form").innerHTML = "";
	
window.onload = function () {
	REDIPS.dialog.init();

	selected_message_id = 0;
	opened_window_id = 0;

	switch (cur_forum_action) {
		case "ForumThreadAdd":
			document.getElementById("new_thread").innerHTML = "<span class=\"feedback\">*" + cur_feedback + "</span><br />" + cur_form;
			window.scroll(0, document.getElementById("new_thread").offsetTop);
			opened_window_id = "new_thread";
		break;
		
		case "MessageReply":
			document.getElementById("comment_area_" + cur_message_id).innerHTML = "<span class=\"feedback\">*" + cur_feedback + "</span><br />" + cur_form;
			window.scroll(0, document.getElementById("comment_area_" + cur_message_id).offsetTop);
			opened_window_id = "comment_area_" + cur_message_id;
		break;
		
		case "MessageEdit":
			document.getElementById("comment_area_" + cur_message_id).innerHTML = "<span class=\"feedback\">*" + cur_feedback + "</span><br />" + cur_form;
			window.scroll(0, document.getElementById("comment_area_" + cur_message_id).offsetTop);
			opened_window_id = "comment_area_" + cur_message_id;
		break;
	}
}

function closeCurrentWindow() {
	var obj = document.getElementById(opened_window_id);
	if (obj != undefined) {
		obj.innerHTML = "";
	}
	opened_window_id = "";
}

	
function showMessages(thread_id) {
	//spin_div('new_comments_' + post_id);
	closeCurrentWindow();
	$(document).ready(function(){
		$.get('<?php echo GFUrl::getUrl()->currentBaseURL('NewsProcessAjaxAction',array())?>&_forum_action=ForumMessageBrowse&thread_id=' + thread_id,
			function(data){
				$('#thread_comments_'+thread_id).html(data);
			});
	});
}	

function showThreadAdd(post_id) {
	//spin_div('new_comments_' + post_id);
	closeCurrentWindow();
	$(document).ready(function(){
		$.get('<?php echo GFUrl::getUrl()->currentBaseURL('NewsLoadAddThreadForm',array())?>&id=' + post_id,
			function(data){
				$('#new_thread').html(data);
				opened_window_id = 'new_thread';
				//CKEDITOR.replace('message');
			});
	});
}	

function performMessageAction(action_type, url_action, message_id) {
	//spin_div('new_comments_' + post_id);
	closeCurrentWindow();

	$(document).ready(function(){
		$.get(url_action,
			function(data){
				$('#comment_area_' + message_id).html(data);
				opened_window_id = 'comment_area_' + message_id;
				var controlName = 'body_'+action_type+'_'+message_id;
			});
	});

}	


function deleteMessage(message_id, message_text) {
	//spin_div('new_comments_' + curr_news_id);
	closeCurrentWindow();
	selected_message_id = message_id;
	url_action = "<?php echo GFUrl::getUrl()->currentBaseURL('NewsProcessAjaxAction',array('_forum_action' => 'MessageDelete', 'post_id' => $post_id)); ?>" + "&message_id=" + selected_message_id;
	url_action = url_action.replace(/&amp;/g, "&");

	$(document).ready(function(){
		$.get(url_action,
			function(data){
				REDIPS.dialog.show(350, 200, data, '', '');
			});
	});

}


function lockThread(thread_id, url_action) {
	//spin_div('new_comments_' + news_id);
	closeCurrentWindow();
	$(document).ready(function(){
		$.get(url_action,
			function(data){
				showMessages(thread_id);
			});
	});
}

</script>

<?php
	if (sizeof($arr) == 0) {
		echo "<h4>" . $Lang->getText('News.NoPosts') . "</h4>";	
	} else {
?>
<!-- Forces proper loading of CKEditor -->
<div style='display:none; visibility:hidden'>
	<?php
	$CKEditor = new GFCKEditor();
	$CKEditor->editor('__hiden_editor__', '')
	?>
</div>

<table width="98%" style="padding: 2px;">
	<tr>
		<td width="80%" style="margin-right: 10px;">
<?php 
	foreach ($arr as $item) {
?>
<!-- #start news item block -->
			<div id="post" class="post" style="padding: 5px; margin-right:10px;">
				<h1 class="entry-title">
					<a href="<?php echo GFUrl::getUrl()->currentBaseURL('',array('id'=>$item->getUserBlogId())); ?>"><?php echo $item->getSubject() ?></a>
				</h1>

					<div class="entry-meta">
						<span class="meta-prep meta-prep-author">Posted on</span> <span class="entry-date"><?php echo $item->getPostDate('Y-m-d'); ?></span> <span class="meta-sep">by</span>  <span class="author vcard"><a class="url fn n" href="<?php echo $url->userUrl($user->getUnixName()); ?>" title=""><?php echo $user->getFullname(); ?></a></span>
					</div>
					<!-- .entry-meta -->

					<div class="entry-content" style="margin-top: 8px; margin-bottom: 5px; padding: 1px; line-height: 1.5em;">
						<?php echo ($post_id != 0) ? $item->getContent() : $item->getShortContent(true); ?>
					</div><!-- .entry-content -->

					<div style="margin-top: 5px;">
						<?php if ($post_id != 0): ?>
							<img src="/images/forum_icon.gif" alt="" />&nbsp;&nbsp;Discussions
						<?php else: ?>
							<a href="<?php echo GFUrl::getUrl()->currentBaseURL('',array('id'=>$item->getUserBlogId())); ?>"><img src="/images/forum_icon.gif" alt="" />&nbsp;&nbsp;Discussions</a>
						<?php endif; ?>
					</div>
					<br />
					<?php if ($post_id != 0): ?>
					<?php 
						if (Session::getSession()->isLoggedIn()) {
							echo HTMLWidget::button("button","New Thread","button","btn_new_thread","showThreadAdd('" . $item->getUserBlogId() . "')", true);
						} else {
							echo HTMLWidget::button("button","New Thread","button","btn_new_thread","", false);
						}
					?>
					<div id="new_thread">
						<?php //echo $form; ?>
					</div>
					<?php endif; ?>

					<!--START THREADS-->
						<?php echo $forum_page; ?>
					<!--END THREADS-->
			</div>

			<br /><br />

			<?php if ($post_id == 0): ?>
				<div>
					<img src="<?php echo $theme->getImgUrl("blog/thread_separator.png"); ?>" />
				</div>
			<?php endif; ?>
<!-- #end news item block -->
<?php
	} //End news foreach
?>
	</td>

	<td width="20%" style="padding: 10px; background: #EEE;" valign="top">
		<div style="padding: 10px; background: #EEE;">
			<!-- Start Archives -->
			<h3>Archives</h3>
			<br />
			<ul>
				<?php 
					foreach ($arr_archives as $arr_archive) {
						echo '<li><a href="' . GFUrl::getUrl()->currentBaseURL() . '?year=' .  $arr_archive['year'] . '&amp;month=' . $arr_archive['month'] . '">' . $arr_archive['desc'] . '</a></li>';
					} 
				?>
			</ul>
			<!-- Finish search -->
			<br /><br />
			<!-- Start Tagcloud -->
			<h3>Tag Cloud</h3>
			<br />
			<?php
				foreach($arr_tags as $tag_name => $tag_size) {
					$style = "font-size: " . $tag_size . "px;";
					echo '<span style="' . $style . '"><a href="' . GFUrl::getUrl()->currentBaseURL() . '?tag=' . $tag_name . '">' . $tag_name . '</a></span> ';
				}
			?>
			<!-- Finish Tagcloud -->
		</div>
	</td>
	</tr>
</table>
	
<div class="clear"></div>
<?php
	}
?>