<?php
require_once('core/UserPeer.php');
require_once('core/User.php');
require_once('exceptions/PermissionDeniedException.php');
require_once('lib/timezones.php');
require_once('lib/html/HTMLWidget.php');

$session = Session::getSession();
$Lang = $session->getLanguage();

require_once('html/MyTemplate.php');
$theme = new MyTemplate();

//must be logged in
if (!$session->isLoggedIn()) {
    throw new NotLoggedInException();
}

$User = $session->getUser();
$obj = $User;

$params = array(
    'user' => $User,
    'selectedbottomtab' => 'myaccount',
    'feedback' => isset($_REQUEST['feedback']) ? $_REQUEST['feedback'] : (isset($feedback) ? $feedback : ''),
    'action' => isset($action) ? $action : '',
    'title' => $Lang->getText('My.DisableAccount')
);

$unix_name = ( (isset($_POST) && isset($_POST['unix_name'])) ? htmlspecialchars($_POST['unix_name']) : $obj->getUnixName() );

include ('forms/DisableAccount-tpl.php');
?>
