<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   
 * @author Daniel A. Perez	daniel@gforgegroup.com
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

require_once('html/templates/SiteAdminTemplate.php');
require_once('html/TroveRenderer.php');

if(isset($_REQUEST['feedback'])) $feedback = $_REQUEST['feedback'];

$Lang = Session::getSession()->getLanguage();

$template = new SiteAdminTemplate();

$params = array(
		'feedback' => isset($feedback) ? $feedback : '',		
		'title'	=> $Lang->getText('Trove.DisplayTroveMap')
	);
$template->header($params);

ob_start();
echo '<table width="100%" border="0" class="trove-map"><tr><td valign="top">';
echo '<ul style="margin-left:20px;" id="trove-map-tree" class="mktree">';
$siteAdmin = new SiteAdmin();
echo "\n<!-- debug line 1 -->\n";
#$siteAdmin->displayTroveMap(0, 0, "root", 0, NULL, TRUE, TRUE);
TroveRenderer::buildUlEntries(0,  $template);
echo '</td>';
echo '</tr></table>';
echo "\n<!-- debug line 2 -->\n";
$troveMap = ob_get_clean();

// Trove move / merge select options
ob_start();
TroveRenderer::buildTroveOptions();
$trove_options = ob_get_clean();

include('forms/TroveMassUpdate-tpl.php');

$template->footer();
?>