<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   
 * @author Daniel A. Perez	daniel@gforgegroup.com
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

require_once('html/templates/SiteAdminTemplate.php');
require_once('html/HTMLWidget.php');
require_once('lib/html/TroveRenderer.php');

if(isset($_REQUEST['feedback'])) $feedback = $_REQUEST['feedback'];

$Lang = Session::getSession()->getLanguage();

$template = new SiteAdminTemplate();

$siteAdmin = new SiteAdmin();

$params = array(
		'feedback' => isset($feedback) ? $feedback : '',		
		'title'	=> $Lang->getText('TroveEdit.EditCategory')
	);


$TroveCategory = TroveCategoryPeer::retrieveByPK($_REQUEST['trove_cat_id']);
if(!$TroveCategory) {
	throw new InvalidDataException("Invalid trove category id".$_REQUEST['trove_cat_id']);
}
$parent_trove_cat_id = $TroveCategory->getParentTroveCategoryId();

$accessLevelSelectOptions = array(
    '0'  => $Lang->getText('TroveEdit.AccessAnyone'),
    '99' => $Lang->getText('TroveEdit.AccessAdmin')
);

// Inmediate children trove map
ob_start();
TroveRenderer::buildUlEntries($_REQUEST['trove_cat_id'],  $template);

$childMap = ob_get_contents();
ob_end_clean();

// Trove move / merge select options
ob_start();
TroveRenderer::buildTroveOptions();
$trove_options = ob_get_clean();

include('forms/TroveEdit-tpl.php');


?>
