<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
//
// This code shows a form for Usergroup
//
require_once('core/UserPeer.php');
require_once('core/User.php');
require_once('GFUrl.php');

$session = Session::getSession();
$Lang = $session->getLanguage();

require_once('html/templates/SiteAdminTemplate.php');
$theme = new SiteAdminTemplate();

$theme->addBreadCrumb('<a href="'.GFUrl::getUrl()->currentBaseUrl('UsergroupBrowse').'">'.$Lang->getText('Usergroup.ManageGroups').'</a>');

$params = array(
		'action' => isset($action) ? $action : '',
		'feedback' => isset($_REQUEST['feedback']) ? $_REQUEST['feedback'] : (isset($feedback) ? $feedback : ''),
		'title' => $Lang->getText('Usergroup.AddNewPageTitle')
		);

$unix_name=((isset($_POST['unix_name'])) ? htmlspecialchars($_POST['unix_name']) : '' );
$firstname=((isset($_POST['firstname'])) ? htmlspecialchars($_POST['firstname']) : '' );

if (GFConf::varExists('system.enableUdfEdit') 
    && (GFConf::get('system.enableUdfEdit') == 'groups' || GFConf::get('system.enableUdfEdit') == 'on')) {

  $udf1 = ( (isset($_POST) && isset($_POST['udf1'])) ? htmlspecialchars($_POST['udf1']) : '' );
  $udf2 = ( (isset($_POST) && isset($_POST['udf2'])) ? htmlspecialchars($_POST['udf2']) : '' );
  $udf3 = ( (isset($_POST) && isset($_POST['udf3'])) ? htmlspecialchars($_POST['udf3']) : '' );
  $udf4 = ( (isset($_POST) && isset($_POST['udf4'])) ? htmlspecialchars($_POST['udf4']) : '' );
  $udf5 = ( (isset($_POST) && isset($_POST['udf5'])) ? htmlspecialchars($_POST['udf5']) : '' );
  $udf6 = ( (isset($_POST) && isset($_POST['udf6'])) ? htmlspecialchars($_POST['udf6']) : '' );
}

include('forms/UsergroupAdd-tpl.php');

?>
