<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   
 * @author Federico Tarantini federico@gforgegroup.com
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
echo $template->header($params);
?>

<style>
    div.trove-map {
        margin-right: 340px !important;        
    }
    form.trove-edit {
        margin-bottom: 15px;
    }
    ul#trove-map-tree {
        margin-left: 20px;
    }
    div.subcat-label {
        margin-top: 10px;
    }
</style>

<form action="<?php echo GFUrl::getUrl()->currentBaseURL('TroveEditAction') ?>" method="POST" class="trove-edit">
	<input type="hidden" name="trove_cat_id" value="<?php echo $_REQUEST['trove_cat_id']; ?>" />
	<input type="hidden" name="parent_trove_cat_id" value="<?php echo $parent_trove_cat_id ?>" />
	<input type="hidden" name="edit" />

	<table border="0">
		<tr>
			<td><strong><?php echo $Lang->getText('TroveEdit.Alias'); ?>&nbsp;*</strong><br />
			<input type="text" size="40" name="alias" value="<?php echo $TroveCategory->getAlias(); ?>" /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('TroveEdit.Fullname'); ?>&nbsp;*</strong><br />
			<input type="text" size="40" name="fullname" value="<?php echo $TroveCategory->getName(); ?>" /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('TroveEdit.Description'); ?>&nbsp;*</strong><br />
			<input type="text" size="40" name="description" value="<?php echo $TroveCategory->getDescription(); ?>" /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('TroveEdit.ShowInSearch'); ?></strong><br />
			<input type="checkbox" name="show_in_search" value="1" <?php echo $TroveCategory->getShowInSearch() ? 'checked="checked"' : '' ?>/></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('TroveEdit.AccessLevel'); ?></strong><br />
			<select name="access_level">
			<?php foreach ($accessLevelSelectOptions as $value => $option): ?>
				<option value="<?php echo $value ?>"<?php echo $TroveCategory->getAccessLevel() == $value ? 'selected="selected"' : '' ?>>
					<?php echo $option ?>
				</option>
			<?php endforeach ?>
			</select>
		</tr>
        <tr>
			<td align="right">
				<?php echo HTMLWidget::button("submit","" .   Language::getSessText('submit.edit') . " ","submit","","")?>
				<?php echo HTMLWidget::button("button","" .   $Lang->getText('Common.Back') . " ","cancel","","window.location = '" .   GFUrl::getUrl()->currentBaseURL('DisplayTroveMap',array()) . "'; ")?>
			</td>
		</tr>
	</table>
</form>

<?php 
if(!empty($childMap)) :
    ob_start(); 
?>
    <div class="subcat-label">
        <strong><?php echo $Lang->getText('TroveEdit.LevelOneChilds'); ?></strong>
    </div>
    <ul id="trove-map-tree" class="mktree">
        <?php echo $childMap; ?>
    </ul>
<?php 
    $troveMap = ob_get_clean();
    include('TroveMassUpdate-tpl.php');
endif;

echo $template->footer($params);
?>
