<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id$
 * @author Tim Perdue tim@gforge.org
 * @date 2006-02-27
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

$theme->header($params);
?>
<p>
	<strong><?php echo Language::getSessText('SiteAdmin.UserPassEditPageTitle'); ?></strong>
</p>
<form action="<?php echo GFUrl::getUrl()->currentBaseURL('UserPasswordEditAction') ?>" method="POST" autocomplete="off">
	<input type="hidden" name="id" value="<?php echo $user_id ?>" />
	<input type="hidden" name="token" value="<?php echo $csrf_token; ?>" />
	<table border="0">
		<tr>
			<td><strong><?php echo Language::getSessText('SiteAdmin.UserPassEditInput'); ?></strong><br />
			<input type="password" name="password1" value="" maxlength="32" autocomplete="off" /></td>
		</tr>
		<tr>
			<td><strong><?php echo Language::getSessText('SiteAdmin.UserPassEditInputRetype'); ?></strong><br />
			<input type="password" name="password2" value="" maxlength="32" autocomplete="off" /></td>
		</tr>
		<tr>
			<td align="center">
				<?php echo HTMLWidget::button("submit","" .   $Lang->getText('submit.edit') . " ","submit","","")?>
				<?php echo HTMLWidget::button("button","" .   $Lang->getText('Common.Cancel') . " ","cancel","","window.location = '" .   GFUrl::getUrl()->currentBaseURL('UserEdit',array('user_id' => $user_id)) . "'; ")?>
			</td>
		</tr>
	</table>
</form>
<?php
$theme->footer($params);
?>
