<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

echo $theme->header($params);
?>

<form action="<?php echo GFUrl::getUrl()->currentBaseURL('UsergroupAddAction') ?>" method="POST">
	<table border="0">
		<tr>
			<td><strong><?php echo $Lang->getText('Usergroup.UsergroupIdName'); ?></strong><span class="required">*</span><br />
			<input type="text" name="unix_name" value="<?php echo $unix_name; ?>"  /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('Usergroup.FirstnameName'); ?></strong><span class="required">*</span><br />
			<input type="text" name="firstname" value="<?php echo $firstname; ?>"  /></td>
		</tr>

    <?php if (GFConf::varExists('system.enableUdfEdit') 
    && (GFConf::get('system.enableUdfEdit') == 'groups' || GFConf::get('system.enableUdfEdit') == 'on')) {
		$udf1Name = GFConf::get('system.udf1Name', $Lang->getText("User.Udf1Name"));
		$udf2Name = GFConf::get('system.udf2Name', $Lang->getText("User.Udf2Name"));
		$udf3Name = GFConf::get('system.udf3Name', $Lang->getText("User.Udf3Name"));
		$udf4Name = GFConf::get('system.udf4Name', $Lang->getText("User.Udf4Name"));
		$udf5Name = GFConf::get('system.udf5Name', $Lang->getText("User.Udf5Name"));
		$udf6Name = GFConf::get('system.udf6Name', $Lang->getText("User.Udf6Name"));
    ?>
    <tr>
      <td><strong><?php echo $udf1Name ?></strong><br />
      <input type="text" name="udf1" value="<?php echo $udf1; ?>"/></td>
    </tr>
    <tr>
      <td><strong><?php echo $udf2Name ?></strong><br />
      <input type="text" name="udf2" value="<?php echo $udf2; ?>"/></td>
    </tr>
    <tr>
      <td><strong><?php echo $udf3Name ?></strong><br />
      <input type="text" name="udf3" value="<?php echo $udf3; ?>"/></td>
    </tr>
    <tr>
      <td><strong><?php echo $udf4Name ?></strong><br />
      <input type="text" name="udf4" value="<?php echo $udf4; ?>"/></td>
    </tr>
    <tr>
      <td><strong><?php echo $udf5Name ?></strong><br />
      <input type="text" name="udf5" value="<?php echo $udf5; ?>"/></td>
    </tr>
    <tr>
      <td><strong><?php echo $udf6Name ?></strong><br />
      <input type="text" name="udf6" value="<?php echo $udf6; ?>"/></td>
    </tr>
    <?php }?>
<input type="hidden" name="theme_id" value="<?php echo GFConf::get('system.defaultThemeId'); ?>" />
<input type="hidden" name="language_id" value="<?php echo GFConf::get('system.defaultLanguageId'); ?>" />
<input type="hidden" name="ccode" value="US" />
<input type="hidden" name="timezone" value="US/Central" />
		<tr>
			<td>
				<?php echo HTMLWidget::button("submit","" .   $Lang->getText('submit.add') . " ","submit","","")?>
				<?php echo HTMLWidget::button("button","" .   $Lang->getText('Common.Cancel') . " ","cancel","","window.location = '" .   GFUrl::getUrl()->currentBaseURL('UsergroupBrowse',array()) . "'; ")?>
			</td>
		</tr>
	</table>
</form>

<?php
echo $theme->footer($params);
?>
