<?php

/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id$
 * @author Daniel A. Perez daniel@gforgegroup.com
 * @date 2006-03-13
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
switch ($action) {
    case 'GetQuickJumpMenu': {
            include(dirname(__FILE__) . '/GetQuickJumpMenu.php');
            break;
        }       
    case 'MentionList': {
            include(dirname(__FILE__) . '/MentionList.php');
            break;
        }
    case 'DateCriteria' : {
            $canned = array(
                'some day' => 'Your prince will come...',
                'someday' => 'Your prince will come...',
                'never' => 'Never say never...',
                'once' => 'Upon a time...',
                'always' => 'Always, every time',
                'sometimes' => "I can't be put back together",
                'anytime' => 'All you have to do is call...'
            );
            $response = 'Invalid criteria';
            if (array_key_exists('criteria', $_GET)) {
                $criteria = $_GET['criteria'];

                if (array_key_exists(strtolower($criteria), $canned)) {
                    $response = $canned[strtolower($criteria)];
                } else {
                    $temp = strtotime($criteria);
                    if ($temp !== FALSE) {
                        $response = date('c', $temp);
                    }
                }
            }
            echo json_encode(array('response' => $response));
			break;
        }
    case 'UserSetPreferenceAjax': {
            include(dirname(__FILE__) . '/UserSetPreferenceAjax.php');
            break;
        }
    case 'GetRoleSettings': {
            include(dirname(__FILE__) . '/GetRoleSettings.php');
            break;
        }
}
?>