<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id$
 * @author mtutty mtutty@gforgegroup.com
 * @date 2012-08-28
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
?>
<div class="">
	<div style="float: right;"><a href="javascript:updateContent($('#recent-chat-tab'), '/gf/chat/?action=RecentChats');" title="Refresh this list">Refresh</a></div>
	<h3><?php echo $params['header'] ?></h3>
	
	<table class="display" cellspacing="0">
		<thead>
			<tr>
				<th><?php echo $params['discuss.header.join'] ?></th>
				<th class="left"><?php echo $params['discuss.header.topic'] ?></th>
				<th class="left"><?php echo $params['discuss.header.project'] ?></th>
				<th><?php echo $params['discuss.header.last'] ?></th>
			</tr>
		</thead>
		<tbody>
			<?php foreach ($params['items'] as $item) { ?>
				<tr class="hot-hover">
					<td class="center">
						<?php echo HTMLWidget::discuss($item['project'], $item['title'], $item['section'], $item['ref_id'], $item['forum_name'], $item['thread_id']) ?>
					</td>
					<td>
						<a href="<?php echo $item['forum_url'] ?>" title="<?php echo $item['title_full'] ?>" target="_blank"><?php echo $item['title'] ?></a>
					</td>
					<td>
						<a href="<?php echo $item['project_url'] ?>" title="<?php echo $item['project_name'] ?>" target="_blank"><?php echo $item['project_name'] ?></a>
					</td>
					<td class="center">
						<?php echo $item['last'] ?>
					</td>
				</tr>
			<?php } // foreach ?>
		</tbody>
	</table>
</div>