<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id$
 * @author Julian Yerfino jyerfino@gforgegroup.org
 * @date 
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
?>
<form action="<?php echo GFUrl::getUrl()->currentBaseURL('ReportEditStep4') ?>" method="post">
	<input type="hidden" name="report_id" value="<?php echo $report_id; ?>" />
	
	<?php 
	foreach($_REQUEST['projects_selected'] as $k => $f) {
		echo "<input type='hidden' name='projects_selected[$k]' value='$f' />\n";
	}
	foreach($_REQUEST['trackers_selected'] as $k => $f) {
		echo "<input type='hidden' name='trackers_selected[$k]' value='$f' />\n";
	}
	?>
	
	<table border="0">
		<tr>
			<td><strong><?php echo $Lang->getText('Report.ExtraFieldsToDisplay'); ?></strong><br />
			<table>
					<tr>
						<td align='center'>
							<?php echo $Lang->getText('Report.ExtraFieldsAvailable'); ?><br>
							<?php echo HTMLWidget::multiSelectFromAssoc('extrafields_display_left',$extrafields_display_unselected_arr, array(),'',false); ?>
						</td>
						<td valign="middle" align="center">
							<INPUT TYPE="button" NAME="right" VALUE="&gt;&gt;" ONCLICK="moveSelectedOptions(this.form['extrafields_display_left'],this.form['extrafields_display[]'],false)"><BR>&nbsp;<br>		
							<INPUT TYPE="button" NAME="left" VALUE="&lt;&lt;" ONCLICK="moveSelectedOptions(this.form['extrafields_display[]'],this.form['extrafields_display_left'],false)"><BR>
						</td>
						<td align='center'>
							<?php echo $Lang->getText('Report.ExtraFieldsDisplay'); ?><br>
							<?php echo HTMLWidget::multiSelectFromAssoc('extrafields_display[]',$extrafields_display, array(),'',false); ?>
						</td>
						<td> 
							<INPUT TYPE="button" VALUE="&nbsp;&nbsp;<?php echo $Lang->getText('Report.MoveUp'); ?>&nbsp;&nbsp;" onClick="moveOptionUp(this.form['extrafields_display[]'])"><br>&nbsp;<br>
							<INPUT TYPE="button" VALUE="<?php echo $Lang->getText('Report.MoveDown'); ?>" onClick="moveOptionDown(this.form['extrafields_display[]'])">
						</td>
					</tr>
				</table>
			
			</td>
		</tr>
		<tr>
			<td><table><tr><td><strong><?php echo $Lang->getText('Report.ExtraFieldsToFilter'); ?></strong><br />				
			<?php echo HTMLWidget::multiSelectFromAssoc('extrafields_filter[]',$extrafields_filter_arr, $extrafields_filter_selected,'',false); ?>
			</tr></td></table></td>
		</tr>
		<tr>
			<td colspan='3' align="center">
				<?php echo HTMLWidget::button("submit","" .   $Lang->getText('Report.GoToStep4') . " ","submit","","selectAllOptions(this.form['extrafields_display[]']); return true;")?>
				<?php echo HTMLWidget::button("button","" .   $Lang->getText('Common.Back') . " ","cancel","","javascript:history.go(-1);")?>
				<?php echo HTMLWidget::button("button","" .   $Lang->getText('Common.Cancel') . " ","cancel","","window.location = '" .   GFUrl::getUrl()->currentBaseURL('',array()) . "'; ")?>
			</td>
		</tr>
	</table>
</form>

