<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version $Id$
 * @author Daniel A. P�ez	daniel@gforgegroup.com
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */


require_once('html/templates/ProjectAdminTemplate.php');
require_once('external/fckeditor/fckeditor.php');
require_once('lib/Validator.php');

$project = GFUrl::getUrl()->getProject();
$project_name = $project->getUnixName();

$template = new ProjectAdminTemplate();
$params = array(
		'project' => $project,
		'title' => 'Edit Description',
		'feedback' => isset($_REQUEST['feedback']) ? $_REQUEST['feedback'] : (isset($feedback) ? $feedback : '')
	);
$template->header($params);


echo '<form name="edit" method="post" action="' . GFUrl::getUrl()->currentBaseURL('EditDescriptionAction') . '">';
// setting the fckeditor object
echo '<strong>Description</strong><br />';
echo '<textarea name="content" cols="100" rows="30">'.$project->getDescription().'</textarea>';
echo '<div align="left">'.HTMLWidget::button("submit", Language::getSessText('submit.update'), "submit").'</div>';
echo '</form>';
?>

<?php
$template->footer();
?>
