<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id$
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
//
// Request confirmation from the user and provide an export list.
//

require_once('lib/GFExportImport.php');
//require_once('lib/core/ProjectExportRequestPeer.php');
require_once('core/ProjectPeer.php');
require_once('core/Project.php');

$session = Session::getSession();
$project = GFUrl::getUrl()->getProject();
$project_id = $project->getProjectId();
$Lang = $session->getLanguage();

require_once('html/templates/ProjectAdminTemplate.php');

$theme = new ProjectAdminTemplate();

$Project = GFUrl::getUrl()->getProject();
$params = array(
		'action' => isset($action) ? $action : '',
		'feedback' => isset($_REQUEST['feedback']) ? $_REQUEST['feedback'] : (isset($feedback) ? $feedback : ''),
		'title' => $Lang->getText('ProjectTemplate.ExportFullPageName'),
		'project' => $project
		);

$redirect = (isset($_REQUEST['redirect'])) ? Validator::sanitizeString($_REQUEST['redirect']) : '';
if ($redirect != 'approve-pending') {
	$redirect = 'ProjectBrowse';
}

include('forms/ExportRequest-tpl.php');
?>
