<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

$theme->header($params);
?>
<form action="<?php echo GFUrl::getUrl()->currentBaseURL('ProjectEditAction') ?>" method="POST">
	<input type="hidden" name="id" value="<?php echo $Project->getProjectId(); ?>" />
	<table border="0">
		<tr>
			<td><strong><?php echo $Lang->getText('Project.ProjectNameName'); ?></strong><span class="required">*</span><br />
			<input type="text" size="40" name="project_name" value="<?php echo $project_name; ?>" /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('Project.UnixNameName'); ?></strong><br />
			<?php echo $unix_name; ?></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('Project.HomepageUrlTitle'); ?></strong><br />
			<input type="text" size="40" name="homepage_url" value="<?php echo $homepage_url; ?>" /></td>
		</tr>
<!--
		<tr>
			<td><strong><?php //echo $Lang->getText('Project.RegisterLicenseOtherName'); ?></strong><br />
			<textarea name="register_license_other" cols="50" rows="8"><?php //echo $register_license_other; ?></textarea></td>
		</tr>
-->
		<tr>
			<td colspan="2">
				<?php echo HTMLWidget::button("submit","" .   $Lang->getText('submit.edit') . " ","submit","","")?>
				<?php echo HTMLWidget::button("button","" .   $Lang->getText('Common.Back') . " ","cancel","","window.location = '" .   GFUrl::getUrl()->currentBaseURL('',array()) . "'; ")?>
			</td>
		</tr>
	</table>
</form>
<?php
$theme->footer($params);
?>
