<?php
/**
 * Gforge 5.0 Project Summary.
 *
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id: gf 386 2006-02-01 19:42:23Z marcelo $
 * @author
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

if(GFConf::get('system.usersTabAvailable') == false) {
	Throw new Exception(Language::getSessText('Exception.UserTabUnavailable'));
}

require_once('html/SiteTemplate.php');
require_once('lib/core/ProjectPeer.php');

$template = new SiteTemplate();
$params = array(
		'selectedtoptab'	=> 'user',
		'title'=>'Search Users'
	);
$template->header($params);

$crit = new Criteria();
$crit->add(UserPeer::STATUS,User::STATUS_ACTIVE);
$crit->setLimit(100);
$users = UserPeer::doSelect($crit);

$theader=array();
$theader[]='Name';
//$theader[]='Description';
$theader[]='Register Date';

// search box for projects
require_once('forms/UserSearch-tpl.php');
echo Language::getSessText('User.SearchMessage');
/*
echo $template->tableTop($theader);

foreach ($users as $user) {
	$trow=array();
	$trow[]=$user->getUserLink();
//	$trow[]=$user->getDescription();
	$trow[]=$user->getCreateDate();
	echo $template->tableRow($trow);
	unset($trow);
}

echo $template->tableBottom();*/

$template->footer();
?>
