<?php
/**
 * Copyright (c) 2005-2011 GForge, LLC
 *
 * @version   $Id$
 * @author Tim Perdue tim@gforge.org
 * @date 2006-02-27
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

	$user_id = $user->getUserId();
	echo $theme->infoTableTop(Language::getSessText('UserHome.ProjectInfo'));
	// get the projects the user belongs to
	$c = new Criteria();
	$c->add(UserProjectPeer::USER_ID,$user_id);
	$c->AddJoin(UserProjectPeer::PROJECT_ID, ProjectPeer::PROJECT_ID);
	$c->add(ProjectPeer::IS_PUBLIC, True);

	$user_projects = UserProjectPeer::doSelect($c);

	if (count($user_projects)<1) {
		echo '<p>' .Language::getSessText('UserHome.NoProjects') . '</p>';
	} else { 
		echo "<p>".Language::getSessText('UserHome.Memberof')."<br />&nbsp;<ul>";
		foreach ($user_projects as $user_project) {
			echo '<li>'.$user_project->getProject()->getProjectLink();
		}
		echo "</ul></p>";
	}

	echo $theme->infoTableBottom();
?>
